namespace java com.sankuai.sjst.rms.ls.table.model

/**
 * @TypeDoc(
 *     description = "开台请求体"
 * )
 */
struct OpenTableReq {
        /**
         * @FieldDoc(
         *     description = "门店id",
         *     example = "11212"
         * )
         */
        1: required i32 poiId;
        /**
         * @FieldDoc(
         *     description = "要开台的目标桌台id",
         *     example = "11123"
         * )
         */
        2: required i64 tableId;
        /**
         * @FieldDoc(
         *     description = "开台人数",
         *     example = "3"
         * )
         */
        3: required i32 customerCount;
        /**
        * @FieldDoc(
        *     description = "开台人id。开台时候传，其他情况不用传",
        *     example = "3091"
        * )
        */
        4: optional i32 accountId;
        /**
            * @FieldDoc(
            *     description = "桌台所在的区域id",
            *     example = "8701"
            * )
            */
        5: optional i32 areaId;
        /**OrderDataPrepareService
           * @FieldDoc(
           *     description = "开台的订单Id。pos端上不用传，开台生成订单后，订单模块填充好后调桌台",
           *     example = "8701"
           * )
           */
        6: optional string orderId
        /**
         * @FieldDoc(description="订单创建时间")
         */
        7: optional i64 createdTime;
        /**
         * @FieldDoc(description="是否根据云端订单重新生成。1是，0否")
         */
        8: optional i32 recovered;
 }