namespace java com.sankuai.sjst.rms.ls.table.model



/**
 * @TypeDoc(
 *     description = "桌台详情"
 * )
 */
struct TableComboTO {
        /**
         * @FieldDoc(
         *     description = "桌台活动id，用于清台、转台等操作",
         *     example = "12"
         * )
         */
        1: optional i32 activityId;
        /**
         * @FieldDoc(
         *     description = "桌台id",
         *     example = "22"
         * )
         */
        2: required i64 tableId;
        /**
         * @FieldDoc(
         *     description = "桌台名称",
         *     example = "桌A/桌A-1/联台1"
         * )
         */
        3: optional string name;
        /**
         * @FieldDoc(
         *     description = "座位数",
         *     example = "10"
         * )
         */
        4: optional i32 seats;
        /**
         * @FieldDoc(
         *     description = "用餐人数",
         *     example = "4"
         * )
         */
        5: optional i32 customerCount;
        /**
         * @FieldDoc(
         *     description = "桌台状态 @com.sankuai.sjst.rms.ls.table.common.TableShowStatus",
         *     example = "2"
         * )
         */
        6: optional i32 showStatus;
        /**
         * @FieldDoc(
         *     description = "创建时间",
         *     example = 1552918434001
         * )
         */
        7: optional i64 createdTime;
        /**
         * @FieldDoc(
         *     description = "待支付金额 单位:分",
         *     example = "5000"
         * )
         */
        8: optional i64 debt;
        /**
        * @FieldDoc(
        *     description = "订单ID",
        *     example = "9m2ds34mkl45"
        * )
        */
        9: optional string orderId;
        /**
        * @FieldDoc(
        *     description = "排序值，越大越靠后。用于刚开始桌台上没有活动的时候的排序",
        *     example = "3"
        * )
        */
        10: optional i32 rank;
        /**
         * @FieldDoc(
         *     description = "虚拟编号",
         *     example = "3091"
         * )
         */
        11: optional i32 virtualNum;
        /**
         * @FieldDoc(
         *     description = "桌台类型，1是正常桌台，2是虚拟桌台，3联台",
         *     example = "2"
         * )
         */
        12: optional i32 type;
        /**
        * @FieldDoc(
        *     description = "联台使用的，作为区分一个联台区的",
        *     example = "2"
        * )
        */
        13: optional i32 parentId;
        /**
        * @FieldDoc(
        *     description = "区分是扫码点餐还是pos下的",
        *     example = "2"
        * )
        */
        14: optional i32 source;
        /**
        * @FieldDoc(
        *     description = "是否是会员",
        *     example = "2"
        * )
        */
        15: optional bool member;
        /**
        * @FieldDoc(
        *     description = "订单版本号",
        *     example = "2"
        * )
        */
        16: optional i32 orderVersion;
        /**
        * @FieldDoc(
        *     description = "是否是反结单， true-反结单，false-否",
        *     example = "true"
        * )
        */
        17: optional bool strike;
        /**
         * @FieldDoc(
         *     description = "桌台助记符",
         *     example = "03"
         * )
         */
        18: optional i32 no;
        /**
         * @FieldDoc(
         *     description = "桌台类型",
         *     example = "1：非堂食；2：堂食"
         * )
         */
        19: optional i32 tableType;
        /**
         * @FieldDoc(
         *     description = "拼音助记符",
         *     example = "DT01"
         * )
         */
        20: optional string pinyin;
        /**
          * @FieldDoc(
          *     description = "当前餐段预定的订单id集合"
          * )
          */
         21: optional list<string> bookOrderIds;
         /**
           * @FieldDoc(
           *     description = "宴会或者预定名称"
           *
           * )
           */
          22: optional string bookName;
          /**
             * @FieldDoc(
             *     description = "宴会或者预定名称"
             *
             * )
             */
            23: optional i32 goodsPriceCategoryCode;
            /**
             * @FieldDoc(
             *     description = "区域名称"
             *
             * )
             */
            24: optional string areaName;
            /**
             * @FieldDoc(
             *     description = "区域id"
             *
             * )
             */
            25: optional i32 areaId;
            /**
             * @FieldDoc(
             *     description = "锁台人id"
             *
             * )
             */
            26: optional i32 lockOperatorId;
            /**
             * @FieldDoc(
             *     description = "区域名称"
             *
             * )
             */
            27: optional string lockOperatorName;
            /**
             * @FieldDoc(
             *     description = "订单称重菜确认状态",
             *     example = "1：已改重；2：未改重；0：无称重菜"
             * )
             */
            28: optional i32 weightConfirmed;

            /**
            * @FieldDoc(
            *     description = "异常订单处理状态：1:自动取消结账订单，2：自动取消撤单订单",
            *     example = ""
            * )
            */
            29: optional i32 abnormalProcessStatus;

            /**
            * @FieldDoc(
            *     description = "订单是否在发生退单 默认值：0 ，正在退单：1",
            *     example = ""
            * )
            */
            30: optional i32 orderChargeBack;

            /**
            * @FieldDoc(
            *     description = "是否第三方会员",
            *     example = "false"
            * )
            */
            31: optional bool thirdMember;
            /**
            * @FieldDoc(
            *     description = "手工录单桌台标识",
            *     example = 0
            * )
            */
            32: optional i32 specialType;

            /**
            * @FieldDoc(
            *     description = "是否含有未确认度量的菜品",
            *     example = 0
            * )
            */
            33: optional bool  hasUnconfirmedGoods;

            /**
            * @FieldDoc(
            *     description = "菜品履约状态 默认值：0 ，菜已上齐：1",
            *     example = ""
            * )
            */
            34: optional i32 performanceStatus;

}



