namespace java com.sankuai.sjst.rms.ls.table.req

include '../model/Model.thrift'
include '../model/OpenTableReq.thrift'



/**
 * @TypeDoc(
 *     description = "预定转堂食req"
 * )
 */
struct Book2DinnerReq {

        /**
         * @FieldDoc(
         *     description = "门店id",
         *     example = ""
         * )
         */
        1: required i32 poiId;

        /**
         * @FieldDoc(
         *     description = "子单的item",
         *     example = ""
         * )
         */
        2: required list<OpenTableReq.OpenTableReq> subUnionItems;
        /**
         * @FieldDoc(
         *     description = "母单的订单id",
         *     example = "111"
         * )
         */
        3: required string parentOrderId;

        /**
         * @FieldDoc(
         *     description = "联台类型",
         *     example = "3：堂食联台，4：宴会联台"
         * )
         */
        4: required i32 unionType;
       /**
         * @FieldDoc(
         *     description = "来源。1：宴会预定，2：正餐预定",
         *     example = "1"
         * )
         */
        5: required i32 source;
        /**
         * @FieldDoc(
         *     description = "操作者id",
         *     example = "1"
         * )
         */
        6: required i32 accId;
        /**
         * @FieldDoc(
         *     description = "母单的订单id",
         *     example = "111"
         * )
         */
        7: required string bookOrderId;
}



