namespace java com.sankuai.sjst.rms.ls.table.req

include '../model/TableBookItem.thrift'



/**
 * @TypeDoc(
 *     description = "桌台预定req"
 * )
 */
struct BookTableReq {

        /**
         * @FieldDoc(
         *     description = "预定时间。预定必传，取消预定和转堂食不用传",
         *     example = "111"
         * )
         */
        1: optional i64 bookTime;

        /**
         * @FieldDoc(
         *     description = "桌台id集合。预定必传，取消预定和转堂食不用传",
         *     example = "1"
         * )
         */
        2: optional list<i64> tableIds;
       /**
         * @FieldDoc(
         *     description = "来源。1：宴会预定，2：正餐预定",
         *     example = "1"
         * )
         */
        3: required i32 source;
        /**
         * @FieldDoc(
         *     description = "操作者id",
         *     example = "1"
         * )
         */
        4: required i32 accId;
       /**
         * @FieldDoc(
         *     description = "门店id",
         *     example = "1"
         * )
         */
        5: required i32 poiId;
       /**
         * @FieldDoc(
         *     description = "预定的状态。@see BookTableStatus，1:预定中，2:已取消，3:转堂食",
         *     example = "1"
         * )
         */
        6: required i32 bookStatus;

        /**
         * @FieldDoc(
         *     description = "预定单id",
         *     example = "1787419047"
         * )
         */
        7: required string bookOrderId;

}



