namespace java com.sankuai.sjst.rms.ls.table.req

include '../model/Model.thrift'



/**
 * @TypeDoc(
 *     description = "获取桌台预定情况req"
 * )
 */
struct QueryTablesBookReq {

       /**
         * @FieldDoc(
         *     description = "门店id",
         *     example = ""
         * )
         */
        1: required i32 poiId;

        /**
         * @FieldDoc(
         *     description = "预定开始时间(绝对时间)",
         *     example = "176861676176617"
         * )
         */
        2: optional i64 bookStartTime;

        /**
         * @FieldDoc(
         *     description = "预定结束时间(绝对时间)",
         *     example = "176861676176617"
         * )
         */
        3: optional i64 bookEndTime;

        /**
         * @FieldDoc(
         *     description = "子单的预订单id集合"
         * )
         */
        4: optional list<string> subOrderIds;
        /**
         * @FieldDoc(
         *     description = "预订单上的tableId集合"
         * )
         */
        5: optional list<i64> tableIds;
       /**
         * @FieldDoc(
         *     description = "预定来源。1是宴会预定，2是正餐预定",
         *     example = "2"
         * )
         */
        6: optional list<i32> sources;
}



