namespace java com.sankuai.sjst.rms.ls.table.req

include '../model/OpenTableReq.thrift'



/**
 * @TypeDoc(
 *     description = "预定转堂食req"
 * )
 */
struct UnionTablesReq {

       /**
         * @FieldDoc(
         *     description = "门店id",
         *     example = ""
         * )
         */
        1: required i32 poiId;

        /**
         * @FieldDoc(
         *     description = "子单的item",
         *     example = ""
         * )
         */
        2: required list<OpenTableReq.OpenTableReq> subUnionItems;
        /**
         * @FieldDoc(
         *     description = "母单的订单id",
         *     example = "111"
         * )
         */
        3: required string parentOrderId;

        /**
         * @FieldDoc(
         *     description = "联台类型",
         *     example = "3：堂食联台，4：宴会联台"
         * )
         */
        4: required i32 unionType;

        /**
         * @FieldDoc(
         *     description = "操作者id",
         *     example = "1"
         * )
         */
        5: required i32 accId;

        /**
         * @FieldDoc(description="订单创建时间")
         */
        6: optional i64 createdTime;
        /**
         * @FieldDoc(description="是否根据云端订单重新生成。1是，0否")
         */
        7: optional i32 recovered;
}



