namespace java com.sankuai.sjst.rms.ls.rota.to

/**
 * @TypeDoc(
 *     description = "校验结果"
 * )
 */
struct RotaValidateResp{
        /**
         * @FieldDoc(
         *     description = "校验code：0为校验通过",
         *     example = ""
         * )
         */
        1: optional i32 code;
        /**
         * @FieldDoc(
         *     description = "异常信息",
         *     example = ""
         * )
         */
        2: optional string message;
}

struct RefreshFinishedDataResp{

        /**
         * @FieldDoc(
         *     description = "重新统计的已交班数据",
         *     example = ""
         * )
         */
        1: optional string data;
        /**
         * @FieldDoc(
         *     description = "错误信息",
         *     example = ""
         * )
         */
        2: optional string errorMsg;
}

struct UpdateRotaDataResp{

           /**
         * @FieldDoc(
         *     description = "是否更新成功",
         *     example = ""
         * )
         */
        1: optional bool refreshSuccess;

         /**
         * @FieldDoc(
         *     description = "更新前压缩数据",
         *     example = ""
         * )
         */
        2: optional string oldData;

        /**
         * @FieldDoc(
         *     description = "更新前压缩数据",
         *     example = ""
         * )
         */
        3: optional string errorMsg;

}


/**
 * @TypeDoc(
 *     description = "班次信息（早班/晚班）"
 * )
 */
struct RotaShiftTo {
        /**
         * @FieldDoc(
         *     description = "班次code",
         *     example = ""
         * )
         */
        1: optional i32 shiftCode;
        /**
         * @FieldDoc(
         *     description = "班次name",
         *     example = ""
         * )
         */
        2: optional string shiftName;
        /**
         * @FieldDoc(
         *     description = "是否为当前时段班次",
         *     example = ""
         * )
         */
        3: optional bool currentShift;

}

/**
 * @TypeDoc(
 *     description = "开班逻辑检验"
 * )
 */
struct RotaEstablishValidateResp {
        /**
         * @FieldDoc(
         *     description = "是否需要开班弹窗",
         *     example = "true"
         * )
         */
        1: optional bool popup;
        /**
         * @FieldDoc(
         *     description = "是否录入备用金",
         *     example = "true"
         * )
         */
        2: optional bool editImprestMoney;
        /**
         * @FieldDoc(
         *     description = "班次信息列表",
         *     example = ""
         * )
         */
        3: optional list<RotaShiftTo> shiftList;
        /**
         * @FieldDoc(
         *     description = "是否打开备用金开关（是否显示备用金）",
         *     example = "true"
         * )
         */
        4: optional bool needImprestMoney;
        /**
         * @FieldDoc(
         *     description = "预留备用金：非首次开班时展示备用金",
         *     example = "50000"
         * )
         */
        5: optional i64 preImprestMoney;
        /**
         * @FieldDoc(
         *     description = "收银员",
         *     example = "张三"
         * )
         */
        6: optional string operatorName;

        /**
         * @FieldDoc(
         *     description = "开班模式，1-个人班次，2-餐段班次",
         *     example = "1"
         * )
         */
        7: optional i32 rotaCategory;
}

/**
 * @TypeDoc(
 *     description = "开班请求"
 * )
 */
struct RotaEstablishReq {
        /**
         * @FieldDoc(
         *     description = "班次",
         *     example = "早班"
         * )
         */
        1: required string shiftName;
        /**
         * @FieldDoc(
         *     description = "班次code",
         *     example = "100"
         * )
         */
        2: required i32 shiftCode;
        /**
         * @FieldDoc(
         *     description = "预留备用金",
         *     example = "50000"
         * )
         */
        3: optional i64 preImprestMoney;
        /**
         * @FieldDoc(
         *     description = "实际预留备用金:点击现金与备用金不一致时输入",
         *     example = "40000"
         * )
         */
        4: optional i64 currentImprestMoney;
        /**
         * @FieldDoc(
         *     description = "备注",
         *     example = {}
         * )
         */
        5: optional string remark;
        /**
         * @FieldDoc(
         *     description = "是否打开备用金开关",
         *     example = "true"
         * )
         */
        6: optional bool needImprestMoney;
        /**
         * @FieldDoc(
         *     description = "点击现金与预留备用金是否不一致",
         *     example = "true"
         * )
         */
        7: optional bool cashAbnormal;
        /**
         * @FieldDoc(
         *     description = "是否打印备用金",
         *     example = "true"
         * )
         */
        8: optional bool needImprestPrint;
        /**
         * @FieldDoc(
         *     description = "核准人名称",
         *     example = "true"
         * )
         */
        9: optional string claimant;
}
/**
 * @TypeDoc(
 *     description = "时间查询参数"
 * )
 */
struct TimeArg {
        /**
         * @FieldDoc(
         *     description = "统计开始时间",
         *     example = "1583484082478",
         *     since = "5.1.00"
         * )
         */
        1: required i64 statsBeginTime;
        /**
         * @FieldDoc(
         *     description = "统计结束时间",
         *     example = "1583484082478",
         *     since = "5.1.00"
         * )
         */
        2: required i64 statsEndTime;
        /**
         * @FieldDoc(
         *     description = "统计结束时间",
         *     example = "1583484082478",
         *     since = "5.1.00"
         * )
         */
        3: required i64 statsBusinessTime;
}

/**
 * @TypeDoc(
 *     description = "交班概览信息"
 * )
 */
struct RotaOverviewTo {
        /**
         * @FieldDoc(
         *     description = "交班时间",
         *     example = {}
         * )
         */
        1: optional i64 rotaTime;
        /**
         * @FieldDoc(
         *     description = "交班人",
         *     example = {}
         * )
         */
        2: optional string operatorName;
        /**
         * @FieldDoc(
         *     description = "已结账订单数",
         *     example = "24"
         * )
         */
        3: optional i32 checkoutOrderCount;
        /**
         * @FieldDoc(
         *     description = "班次id",
         *     example = ""
         * )
         */
        4: optional string rotaId;
        /**
         * @FieldDoc(
         *     description = "开班时间",
         *     example = ""
         * )
         */
        5: optional i64 rotaEstablishTime;
        /**
         * @FieldDoc(
         *     description = "班次模式 1：明交班 2：盲交班",
         *     example = ""
         * )
         */
        6: optional i32 rotaType;

        /**
         * @FieldDoc(
         *     description = "未交班次数",
         *     example = ""
         * )
         */
        7: optional i32 unfinishedRota;

        /**
         * @FieldDoc(
         *     description = "待认领订单数量",
         *     example = "100",
         *     since = "5.1.00"
         * )
         */
        8: optional i32 needClaimCount;
        /**
         * @FieldDoc(
         *     description = "交班时间段内的营业日时间",
         *     example = "",
         *     since = "5.1.00"
         * )
         */
        9: optional bool multipleBusiness;
         /**
         * @FieldDoc(
         *     description = "餐段班次所有交班人",
         *     example = {}
         * )
         */
         10: optional string allPartnerNames;
          /**
          * @FieldDoc(
          *     description = "交班模式 1：单人 2：餐段",
          *     example = ""
          * )
          */
          11: optional i32 rotaCategory;
          /**
           * @FieldDoc(
           *     description = "外卖数据是否完整",
           *     example = ""
           * )
           */
           12: optional bool takeoutDataComplete;

          /**
          * @FieldDoc(
          *     description = "高版本订单数",
          *     example = ""
          * )
          */
          13: optional i64 highOrderCount;
          /**
          * @FieldDoc(
          *     description = "是否存在团购订单未同步订单收入优惠",
          *     example = ""
          * )
          */
          14: optional bool haveUnFinishOrder;
}


/**
 * @TypeDoc(
 *     description = "实收统计"
 * )
 */
struct PayDetailTo {
        /**
        * @FieldDoc(
        *     description = "支付方式code",
        *     example = {}
        * )
        */
        1: optional i32 payMethodCode;
        /**
        * @FieldDoc(
        *     description = "支付方式名称",
        *     example = {}
        * )
        */
        2: optional string payMethodName;
        /**
        * @FieldDoc(
        *     description = "支付笔数",
        *     example = {}
        * )
        */
        3: optional i32 payCount;
        /**
        * @FieldDoc(
        *     description = "实收总额",
        *     example = {}
        * )
        */
        4: optional i64 payMoney;

}

/**
 * @TypeDoc(
 *     description = "挂账统计"
 * )
 */
struct RotaOnaccountTo {
        /**
         * @FieldDoc(
         *     description = "挂账笔数",
         *     example = {}
         * )
         */
        1: optional i32 onaccountNum;
        /**
         * @FieldDoc(
         *     description = "挂账金额",
         *     example = {}
         * )
         */
        2: optional i64 onaccountMoney;
}

/**
 * @TypeDoc(
 *     description = "挂账还款统计"
 * )
 */
struct RotaOnaccountRefundTO {
        /**
         * @FieldDoc(
         *     description = "还款笔数",
         *     example = {}
         * )
         */
        1: optional i32 onaccountRefundNum;
        /**
         * @FieldDoc(
         *     description = "还款金额",
         *     example = {}
         * )
         */
        2: optional i64 onaccountRefundMoney;
}

/**
 * @TypeDoc(
 *     description = "反结异常"
 * )
 */
struct StrikeInfoTo {
        /**
         * @FieldDoc(
         *     description = "反结本班次订单数",
         *     example = {}
         * )
         */
        1: optional i32 strikeCurrentRotaNum;
        /**
         * @FieldDoc(
         *     description = "反结本班次订单差额",
         *     example = {}
         * )
         */
        2: optional i64 strikeCurrentRotaDiff;
        /**
         * @FieldDoc(
         *     description = "反结其他班次订单数",
         *     example = {}
         * )
         */
        3: optional i32 strikeOtherRotaNum;
        /**
         * @FieldDoc(
         *     description = "反结其他班次订单差额",
         *     example = {}
         * )
         */
        4: optional i64 strikeOtherRotaDiff;
}

/**
 * @TypeDoc(
 *     description = "菜品信息"
 * )
 */
struct RotaGoodsTo {
        /**
         * @FieldDoc(
         *     description = "菜品分类",
         *     example = "热菜"
         * )
         */
        1: optional string cate;
        /**
         * @FieldDoc(
         *     description = "菜品名称",
         *     example = "鱼香肉丝"
         * )
         */
        2: optional string name;
        /**
         * @FieldDoc(
         *     description = "个数",
         *     example = "3"
         * )
         */
        3: optional i32 num;
        /**
         * @FieldDoc(
         *     description = "金额",
         *     example = "3000"
         * )
         */
        4: optional i64 money;
        /**
         * @FieldDoc(
         *     description = "cate的父级菜品分类, 有可能有, 有可能没有",
         *     example = "热菜"
         * )
         */
        5: optional string parentCateName;
        /**
         * @FieldDoc(
         *     description = "spuId",
         *     example = "菜品的编码"
         * )
         */
        6: optional i64 spuId;

        /**
         * @FieldDoc(
         *     description = "skuId",
         *     example = "菜品的编码"
         * )
         */
        7: optional i64 skuId;


        /**
         * @FieldDoc(
         *     description = "skuName",
         *     example = "skuName"
         * )
         */
        8: optional string skuName;

        /**
         * @FieldDoc(
         *     description = "实际收入",
         *     example = "income"
         * )
         */
        9: optional i64 income;


        /**
         * @FieldDoc(
         *     description = "优惠",
         *     example = "expense"
         * )
         */
        10: optional i64 expense;

        /**
         * @FieldDoc(
         *     description = "数字助记码",
         *     example = "skuName"
         * )
         */
        11: optional string no;

        /**
         * @FieldDoc(
         *     description = "数字助记码",
         *     example = "skuName"
         * )
         */
        12: optional string countOrWeight;

         /**
           * @FieldDoc(
           *     description = "虚拟门店id",
           *     example = "onlineSalesId"
           * )
           */
          13: optional i64 onlineSalesId;
}


/**
 * @TypeDoc(
 *     description = "会员退卡操作流水单条记录"
 * )
 */
struct RotaVipReturnCard {
        /**
         * @FieldDoc(
         *     description = "卡种类 1:会员卡 2:匿名卡",
         *     example = "1"
         * )
         */
        1: optional i32 kindCode;
        /**
         * @FieldDoc(
         *     description = "卡种类 1:会员卡 2:匿名卡",
         *     example = "会员卡"
         * )
         */
        2: optional string kindCodeName;
        /**
         * @FieldDoc(
         *     description = "卡号",
         *     example = "1231234321321"
         * )
         */
        3: optional string cardNo;
        /**
         * @FieldDoc(
         *     description = "手机号",
         *     example = "1580xxxxxxx"
         * )
         */
        4: optional string mobile;
        /**
         * @FieldDoc(
         *     description = "退卡时间",
         *     example = "6123567890129876544"
         * )
         */
        5: optional i64 ctime;
        /**
         * @FieldDoc(
         *     description = "退卡操作人",
         *     example = "1234"
         * )
         */
        6: optional i64 operatorId;
        /**
         * @FieldDoc(
         *     description = "退卡操作人",
         *     example = "张三"
         * )
         */
        7: optional string operatorName;
        /**
         * @FieldDoc(
         *     description = "支付方式",
         *     example = "18"
         * )
         */
        8: optional i32 payType;
        /**
         * @FieldDoc(
         *     description = "支付方式名称",
         *     example = "18"
         * )
         */
        9: optional string payTypeName;
        /**
         * @FieldDoc(
         *     description = "主账户余额,没有符号,均是正数",
         *     example = "1234567"
         * )
         */
        10: optional i64 mainOperateMoney;
        /**
         * @FieldDoc(
         *     description = "卡押金",
         *     example = "1234567"
         * )
         */
        11: optional i64 deposit;
        /**
         * @FieldDoc(
         *     description = "卡形态，实体卡1、虚拟卡2",
         *     example = "实体卡"
         * )
         */
        12: optional string cardStateName;
}

/**
 * @TypeDoc(
 *     description = "会员卡退卡统计TO"
 * )
 */
struct RotaVipReturnCardsTO {
        /**
         * @FieldDoc(
         *     description = "总记录数量",
         *     example = "12"
         * )
         */
        1: optional i32 totalRecords;
        /**
         * @FieldDoc(
         *     description = "退卡金额总计,单位分,详情统计时为null",
         *     example = "100000"
         * )
         */
        2: optional i64 sum;
        /**
         * @FieldDoc(
         *     description = "退卡列表",
         *     example = "100000"
         * )
         */
        3: optional list<RotaVipReturnCard> vipReturnCards;
}

/**
 * @TypeDoc(
 *     description = "交班详情里所有券统计的通用TO"
 * )
 */
struct RotaAllCouponTO {
        /**
         * @FieldDoc(
         *     description = "券名称",
         *     example = "12"
         * )
         */
        1: optional string name;
        /**
         * @FieldDoc(
         *     description = "验券数量",
         *     example = "2"
         * )
         */
        2: optional i32 checkCount;
        /**
         * @FieldDoc(
         *     description = "撤销数量",
         *     example = "2"
         * )
         */
        3: optional i32 cancelCount;
}

/**
 * @TypeDoc(
 *     description = "交班信息"
 * )
 */
struct RotaInfoTo {
        /**
         * @FieldDoc(
         *     description = "班次号",
         *     example = ""
         * )
         */
        1: optional i32 rotaNo;
        /**
         * @FieldDoc(
         *     description = "开班时间",
         *     example = ""
         * )
         */
        2: optional i64 rotaEstablishTime;
        /**
         * @FieldDoc(
         *     description = "交班时间",
         *     example = ""
         * )
         */
        3: optional i64 rotaTime;
        /**
         * @FieldDoc(
         *     description = "统计起始时间",
         *     example = ""
         * )
         */
        4: optional i64 dataStartTime;
        /**
         * @FieldDoc(
         *     description = "统计结束时间",
         *     example = ""
         * )
         */
        5: optional i64 dataEndTime;
        /**
         * @FieldDoc(
         *     description = "交班人",
         *     example = ""
         * )
         */
        6: optional string operatorName;
        /**
         * @FieldDoc(
         *     description = "本班次实收",
         *     example = {}
         * )
         */
        7: optional i64 totalMoney;
        /**
         * @FieldDoc(
         *     description = "给下一个班次预留的备用金",
         *     example = "50000"
         * )
         */
        8: optional i64 preImprestMoney;
        /**
         * @FieldDoc(
         *     description = "上交现金",
         *     example = "209000"
         * )
         */
        9: optional i64 handInMoney;
        /**
         * @FieldDoc(
         *     description = "实收统计",
         *     example = ""
         * )
         */
        10: optional list<PayDetailTo> payDetailList;
        /**
        * @FieldDoc(
        *     description = "自定义支付汇总",
        *     example = {}
        * )
        */
        11: optional PayDetailTo otherPay;
        /**
        * @FieldDoc(
        *     description = "自定义支付详情",
        *     example = {}
        * )
        */
        12: optional list<PayDetailTo> otherPayDetail;
        /**
        * @FieldDoc(
        *     description = "实收统计小计",
        *     example = {}
        * )
        */
        13: optional PayDetailTo payTotal;
        /**
         * @FieldDoc(
         *     description = "已结账订单数",
         *     example = "24"
         * )
         */
        14: optional i32 checkoutOrderCount;
        /**
         * @FieldDoc(
         *     description = "团购券统计",
         *     example = ""
         * )
         */
        15: optional list<RotaAllCouponTO> rotaGroupCouponTo;
        /**
         * @FieldDoc(
         *     description = "挂账统计",
         *     example = ""
         * )
         */
        16: optional RotaOnaccountTo rotaOnaccountTo;
        /**
         * @FieldDoc(
         *     description = "反结异常",
         *     example = ""
         * )
         */
        17: optional StrikeInfoTo strikeInfoTo;
        /**
         * @FieldDoc(
         *     description = "备用金异常",
         *     example = "-20000"
         * )
         */
        18: optional i64 imprestMoneyDetail;
        /**
         * @FieldDoc(
         *     description = "网络状态：1正常 2断网",
         *     example = "1"
         * )
         */
        19: optional bool network;
        /**
        * @FieldDoc(
        *     description = "菜品分类信息",
        *     example = {}
        * )
        */
        20: optional list<RotaGoodsTo> rotaGoodsCateInfo;
        /**
        * @FieldDoc(
        *     description = "菜品销售信息",
        *     example = {}
        * )
        */
        21: optional list<RotaGoodsTo> rotaGoodsSellInfo;
        /**
        * @FieldDoc(
        *     description = "班次id",
        *     example = {}
        * )
        */
        23: optional string rotaId;
        /**
        * @FieldDoc(
        *     description = "备用金是否显示",
        *     example = {}
        * )
        */
        24: optional bool showImprestMoney;
        /**
        * @FieldDoc(
        *     description = "备用金是否可编辑",
        *     example = {}
        * )
        */
        25: optional bool editImprestMoney;
        /**
        * @FieldDoc(
        *     description = "现金实收是否可编辑",
        *     example = {}
        * )
        */
        26: optional bool editPaymentInfo;
        /**
        * @FieldDoc(
        *     description = "挂账还款统计",
        *     example = {}
        * )
        */
        27: optional RotaOnaccountRefundTO rotaOnaccountRefund;
        /**
        * @FieldDoc(
        *     description = "会员退卡统计",
        *     example = {}
        * )
        */
        28: optional RotaVipReturnCardsTO rotaVipReturnCardsTO;
        /**
         * @FieldDoc(
         *     description = "交班数据统计起始时间，有别于dataStartTime，start是如果大于0L，说明是超过7天未交班",
         *     example = ""
         * )
         */
        29: optional i64 dataBeginTime;
        /**
        * @FieldDoc(
        *     description = "交班详情里的抵用券统计",
        *     example = ""
        **/
        30: optional list<RotaAllCouponTO> rotaVouchersTO;
        /**
         * @FieldDoc(
         *     description = "本班次开班时的备用金",
         *     example = ""
         * )
         */
        31: optional i64 imprestMoney;
        /**
         * @FieldDoc(
         *     description = "本班次的现金收款",
         *     example = ""
         * )
         */
        32: optional i64 cash;
        /**
         * @FieldDoc(
         *     description = "本班次的模式 1：明交班 2：盲交班",
         *     example = ""
         * )
         */
        33: optional i32 rotaType;
}

/**
 * @TypeDoc(
 *     description = "确认交班请求"
 * )
 */
struct RotaConfirmReq {
        /**
         * @FieldDoc(
         *     description = "上交现金",
         *     example = "209000"
         * )
         */
        1: optional i64 handInMoney;
        /**
         * @FieldDoc(
         *     description = "预留备用金",
         *     example = "209000"
         * )
         */
        2: optional i64 preImprestMoney;
        /**
         * @FieldDoc(
         *     description = "是否打印",
         *     example = ""
         * )
         */
        3: optional bool needPrint;
        /**
         * @FieldDoc(
         *     description = "交班id",
         *     example = ""
         * )
         */
        4: optional string rotaId;
        /**
        * @FieldDoc(
        *     description = "备用金是否显示",
        *     example = {}
        * )
        */
        5: optional bool showImprestMoney;
        /**
        * @FieldDoc(
        *     description = "网络是否正常:1正常 2异常",
        *     example = {}
        * )
        */
        6: optional i32 network;
        /**
        * @FieldDoc(
        *     description = "现金收款",
        *     example = {}
        * )
        */
        7: optional i64 cash;
        /**
         * @FieldDoc(
         *     description = "交班单打印类型",
         *     example = "1／2"
         * )
         */
        8: optional i32 handoverSlip;
        /**
         * @FieldDoc(
         *     description = "提权人id",
         *     example = "{}"
         * )
         */
        9: optional i64 permissionOperatorId;
        /**
         * @FieldDoc(
         *     description = "来源",
         *     example = "{1 味千}"
         * )
         */
        10: optional i32 source;
        /**
        * @FieldDoc(
        *     description = "抽大钞金额",
        *     example = "{}"
        * )
        */
        11: optional i64 tookBigAmount;
}

/**
 * @TypeDoc(
 *     description = "交班记录"
 * )
 */
struct RotaHistoryTo {
        /**
         * @FieldDoc(
         *     description = "班次号",
         *     example = ""
         * )
         */
        1: optional i32 rotaNo;
        /**
         * @FieldDoc(
         *     description = "交班人",
         *     example = ""
         * )
         */
        2: optional string operator;
        /**
         * @FieldDoc(
         *     description = "交班时间",
         *     example = ""
         * )
         */
        3: optional i64 rotaTime;
        /**
         * @FieldDoc(
         *     description = "本班次实收",
         *     example = {}
         * )
         */
        4: optional i64 totalMoney;
        /**
         * @FieldDoc(
         *     description = "交班异常",
         *     example = ""
         * )
         */
        5: optional string rotaAbnormal;
        /**
         * @FieldDoc(
         *     description = "班次id",
         *     example = ""
         * )
         */
        6: optional string rotaId;
        /**
         * @FieldDoc(
         *     description = "开班时间",
         *     example = "123123123123"
         * )
         */
        7: optional i64 rotaEstablishTime;
        /**
        * @FieldDoc(
        *     description = "本班次上交的现金，单位：分",
        *     example = "50000"
        * )
        */
        8: optional i64 handInMoney;
        /**
         * @FieldDoc(
         *     description = "本班次的模式 1：明交班 2：盲交班",
         *     example = ""
         * )
         */
        9: optional i32 rotaType;
        /**
         * @FieldDoc(
         *     description = "本班次所属的LS的版本号",
         *     example = ""
         * )
         */
        10: optional i32 lsVersionCode;
        /**
         * @FieldDoc(
         *     description = "跨营业日",
         *     example = ""
         * )
         */
        11: optional bool multipleBusiness;
        /**
         * @FieldDoc(
         *     description = "班次name",
         *     example = ""
         * )
         */
        12: optional string shiftName;
        /**
         * @FieldDoc(
         *     description = "本班次code",
         *     example = ""
         * )
         */
        13: optional i32 shiftCode;
}

/**
 * @TypeDoc(
 *     description = "交班记录resp"
 * )
 */
struct RotaHistoryToResp {
        /**
         * @FieldDoc(
         *     description = "交班记录列表",
         *     example = ""
         * )
         */
        1: optional list<RotaHistoryTo> rotaHistoryList;
        /**
         * @FieldDoc(
         *     description = "总条数",
         *     example = ""
         * )
         */
        2: optional i64 totalCount;
}

/**
 * @TypeDoc(
 *     description = "人员列表"
 * )
 */
struct RotaOperatorTo {
        /**
         * @FieldDoc(
         *     description = "未交班人列表",
         *     example = ""
         * )
         */
        1: optional map<i32,string> operatorList;
}

/**
 * @TypeDoc(
 *     description = "未交班记录"
 * )
 */
struct RotaOnDutyHistoryTo {
        /**
         * @FieldDoc(
         *     description = "班次号",
         *     example = ""
         * )
         */
        1: optional i32 rotaNo;
        /**
         * @FieldDoc(
         *     description = "未交班人",
         *     example = ""
         * )
         */
        2: optional string operator;
        /**
         * @FieldDoc(
         *     description = "开班时间",
         *     example = ""
         * )
         */
        3: optional i64 rotaEstablishTime;
        /**
         * @FieldDoc(
         *     description = "本班次实收",
         *     example = {}
         * )
         */
        4: optional i64 totalMoney;
        /**
         * @FieldDoc(
         *     description = "班次id",
         *     example = ""
         * )
         */
        5: optional string rotaId;
        /**
         * @FieldDoc(
         *     description = "班次name",
         *     example = ""
         * )
         */
        6: optional string shiftName;
        /**
         * @FieldDoc(
         *     description = "未交班人Ids",
         *     example = "[1234512,1233411]"
         * )
         */
        7: optional list<i32> operatorIds;
}

/**
 * @TypeDoc(
 *     description = "未交班记录"
 * )
 */
struct RotaOnDutyHistoryToResp {
        /**
         * @FieldDoc(
         *     description = "未交班人信息列表",
         *     example = ""
         * )
         */
        1: optional list<RotaOnDutyHistoryTo> onDutyHistoryList;
        /**
         * @FieldDoc(
         *     description = "未交班人列表",
         *     example = ""
         * )
         */
        2: optional map<i32,string> operatorList;
}

/**
 * @TypeDoc(
 *     description = "交班记录查询请求"
 * )
 */
struct RotaHistoryReq {
        /**
         * @FieldDoc(
         *     description = "交班人/未交班人：0为查全部",
         *     example = ""
         * )
         */
        1: optional i32 operatorCode;
        /**
        * @FieldDoc(
        *     description = "开始时间",
        *     example = ""
        * )
        */
        2: optional i64 startTime;
        /**
        * @FieldDoc(
        *     description = "结束时间",
        *     example = ""
        * )
        */
        3: optional i64 endTime;
}

struct ExpiredCheck {
         /**
         * @FieldDoc(
         *     description = "是否存在已过期数据",
         *     example = ""
         * )
         */
         1: optional bool haveExpired;
         /**
          * @FieldDoc(
          *     description = "是否存在今日将过期数据",
          *     example = ""
          * )
          */
          2: optional bool haveWillExpired;
         /**
           * @FieldDoc(
           *     description = "错误信息",
           *     example = ""
           * )
           */
           3: optional string msg;
            /**
            * @FieldDoc(
            *     description = "提醒类型",
            *     example = ""
            * )
            */
            4: optional i32 warnType;
}


/**
 * @TypeDoc(
 *     description = "确认交班校验结果"
 * )
 */
struct RotaConfirmValidateResp {
        /**
         * @FieldDoc(
         *     description = "交接班是否已关闭",
         *     example = ""
         * )
         */
        1: optional bool rotaClosed;
        /**
         * @FieldDoc(
         *     description = "网络是否正常",
         *     example = ""
         * )
         */
        2: optional bool network;
        /**
         * @FieldDoc(
         *     description = "新增订单信息：key为订单来源，value为数量",
         *     example = "点菜宝:2"
         * )
         */
        3: optional map<string,i32> orderInfo;
        /**
         * @FieldDoc(
         *     description = "内容是否有变更",
         *     example = "true:发生了变更, false:没有"
         * )
         */
        4: optional bool changed;
        /**
         * @FieldDoc(
         *     description = "交班单打印类型",
         *     example = "1／2／3"
         * )
         */
        5: optional i32 handoverSlip;
        /**
         * @FieldDoc(
         *     description = "高版本订单数",
         *     example = ""
         * )
         */
         6: optional i64 highOrderCount;
         /**
         * @FieldDoc(
         *     description = "是否存在团购订单未同步订单收入优惠",
         *     example = ""
         * )
         */
         7: optional bool haveUnFinishOrder;
          /**
          * @FieldDoc(
          *     description = "效期相关数据校验",
          *     example = ""
          * )
          */
          8: optional ExpiredCheck expireData;
}

/**
 * @TypeDoc(
 *     description = "开始交班校验结果"
 * )
 */
struct RotaInfoValidateResp {
        /**
         * @FieldDoc(
         *     description = "是否有发起反结未结账的订单",
         *     example = ""
         * )
         */
        1: optional bool strikeOrders;
        /**
         * @FieldDoc(
         *     description = "未结账订单",
         *     example = ""
         * )
         */
        2: optional i32 unCheckoutOrders;
        /**
         * @FieldDoc(
         *     description = "开班时长是否大于7天",
         *     example = ""
         * )
         */
        3: optional bool overtime;
        /**
         * @FieldDoc(
         *     description = "网络是否正常",
         *     example = ""
         * )
         */
        4: optional bool network;

        /**
         * @FieldDoc(
         *     description = "未上传订单个数",
         *     example = ""
         * )
         */
        5: optional i32 unSyncOrderNum;
        /**
         * @FieldDoc(
         *     description = "未接单订单数量",
         *     example = ""
         * )
         */
         6: optional i32 unAckOrders;
        /**
         * @FieldDoc(
         *     description = "外卖数据是否完整",
         *     example = ""
         * )
         */
         7: optional bool takeoutDataComplete;
         /**
         * @FieldDoc(
         *     description = "高版本订单数",
         *     example = ""
         * )
         */
         8: optional i64 highOrderCount;
         /**
         * @FieldDoc(
         *     description = "是否存在团购订单未同步订单收入优惠",
         *     example = ""
         * )
         */
         9: optional bool haveUnFinishOrder;
}

/**
 * @TypeDoc(
 *     description = "开始交班校验结果"
 * )
 */
struct RotaLogoutTO {
        /**
       * @FieldDoc(
       *     description = "校验通过，默认false，即不通过",
       *     example = "false"
       * )
       */
        1: optional bool isPass;
        /**
        * @FieldDoc(
        *     description = "当校验不通过时，POS上对应的后续操作",
        *     example = {1}
        * )
        * 1:班次没有待交班内容的弹窗
        * 2:班次没有现金交易的弹窗
        * 3:班次有现金交易的弹窗
        */
        2: optional i32 type;
}

/**
 * @TypeDoc(
 *     description = "确认日结请求入参数"
 * )
 */
struct ConfirmDailyReq {
        /**
         * @FieldDoc(
         *     description = "营业日开始时间",
         *     example = "1583484082478",
         * )
         */
        1: required i64 beginTime;
        /**
         * @FieldDoc(
         *     description = "营业日结束时间",
         *     example = "1583484082478",
         * )
         */
        2: required i64 endTime;

        /**
         * @FieldDoc(
         *     description = "日结营业日",
         *     example = "1656259200000",
         * )
         */
        3: required i64 businessDay;

        /**
         * @FieldDoc(
         *     description = "是否打印",
         *     example = "true",
         * )
         */
        4: required bool needPrint;

         /**
         * @FieldDoc(
         *     description = "来源",
         *     example = "true",
         * )
         */
        5: required i32 source;
}

/**
 * @TypeDoc(
 *     description = "确认日结返回结果"
 * )
 */
struct DailyResultResp {
        /**
         * @FieldDoc(
         *     description = "营业日开始时间",
         *     example = "1583484082478",
         * )
         */
        1: required i64 beginTime;
        /**
         * @FieldDoc(
         *     description = "营业日结束时间",
         *     example = "1583484082478",
         * )
         */
        2: required i64 endTime;

        /**
         * @FieldDoc(
         *     description = "日结营业日",
         *     example = "1656259200000",
         * )
         */
        3: required i64 businessDay;
}


/**
 * @TypeDoc(
 *     description = "订单信息"
 * )
 */
struct RotaOrderInfoTO{
        /**
         * @FieldDoc(
         *     description = "订单号",
         *     example = ""
         * )
         */
        1: optional string orderNo;

        /**
         * @FieldDoc(
         *     description = "订单来源名称",
         *     example = ""
         * )
         */
        2: optional string sourceName;

        /**
         * @FieldDoc(
         *     description = "订单下单时间",
         *     example = ""
         * )
         */
        3: optional string orderTime;
}

/**
 * @TypeDoc(
 *     description = "开始日结校验结果"
 * )
 */
struct DailyValidateResp {
        /**
         * @FieldDoc(
         *     description = "网络是否正常",
         *     example = ""
         * )
         */
        1: optional bool network;

        /**
         * @FieldDoc(
         *     description = "是否提前日结,true:是,false:否",
         *     example = ""
         * )
         */
        2: optional bool isAdvance;

        /**
         * @FieldDoc(
         *     description = "未结账订单",
         *     example = ""
         * )
         */
        3: optional i32 unCheckoutOrders;

        /**
         * @FieldDoc(
         *     description = "未接单订单数量",
         *     example = ""
         * )
         */
         4: optional i32 unAckOrders;

        /**
         * @FieldDoc(
         *     description = "但前营业入未交班个数",
         *     example = ""
         * )
         */
         5: optional i32 unfinishedRotaCount;

        /**
         * @FieldDoc(
         *     description = "未上传订单个数",
         *     example = ""
         * )
         */
         6: optional i32 unSyncOrderNum;

         /**
         * @FieldDoc(
         *     description = "当前营业日信息",
         *     example = ""
         * )
         */
         7: optional DailyResultResp currentBusinessDay;

         /**
         * @FieldDoc(
         *     description = "下一营业日信息",
         *     example = ""
         * )
         */
         8: optional i64 nextBusinessDay;

         /**
         * @FieldDoc(
         *     description = "下一营业日信息",
         *     example = ""
         * )
         */
         9: optional list<RotaOrderInfoTO> noShiftOrderList;
         /**
         * @FieldDoc(
         *     description = "高版本订单数",
         *     example = ""
         * )
         */
         10: optional i64 highOrderCount;
         /**
         * @FieldDoc(
         *     description = "是否存在团购订单未同步订单收入优惠",
         *     example = ""
         * )
         */
         11: optional bool haveUnFinishOrder;

}

struct RefreshRotaStatusReq{

        1:i32 tenantId;

        2:i32 poiId;
        /**
         * @FieldDoc(
         *     description = "班次id",
         *     example = {}
         * )
         */
        3: string rotaId;
            /**
                 * @FieldDoc(
                 *     description = "来源",
                 *     example = {}
                 * )
                 */
        4: i32 source;



}




