namespace java com.sankuai.sjst.rms.ls.rota.to

include "RotaModel.thrift"
//-------------------金额统计相关----------------------

/**
 * @TypeDoc(
 *     description = "交班统计通用统计子项"
 * )
 */
struct RotaStatsItemTO {

       /**
        * @FieldDoc(
        *     description = "子项目序号",
        *     example = ""
        * )
        */
        1: optional i32 itemNo;

        /**
        * @FieldDoc(
        *     description = "子项目名称",
        *     example = ""
        * )
        */
        2: optional string itemName;

        /**
        * @FieldDoc(
        *     description = "子项目数量",
        *     example = ""
        * )
        */
        3: optional i32 itemCount;

        /**
        * @FieldDoc(
        *     description = "子项目数量单位，例如：单，笔，份等等",
        *     example = ""
        * )
        */
        4: optional string itemCountUnit;

        /**
        * @FieldDoc(
        *     description = "子项目金额，单位分",
        *     example = ""
        * )
        */
        5: optional i64 itemAmount;

        /**
        * @FieldDoc(
        *     description = "子项目金额，单位分",
        *     example = ""
        * )
        */
        6: optional string countOrWeight;
        /**
        * @FieldDoc(
        *     description = "子项目实收金额，单位分",
        *     example = ""
        * )
        */
        7: optional i64 itemPaidAmount;
        /**
          * @FieldDoc(
          *     description = "商标",
          *     example = ""
          * )
          */
          8: optional string takeAwayName;
          /**
          * @FieldDoc(
          *     description = "小记标识",
          *     example = ""
          * )
          */
          9: optional bool totalByTakeAwayNameFlag;
}
/**
 * @TypeDoc(
 *     description = "菜品销售数据"
 * )
 */
struct GoodsSalesDataTO{
        /**
         * @FieldDoc(
         *     description = "菜品销售实收：即菜品销售明细（实收）之和，同「门店日营业报表」一致",
         *     example = ""
         * )
         */
        1: optional i64 itemActuallyReceived;

        /**
         * @FieldDoc(
         *     description = "菜品折扣金额：菜品折扣金额和数量明细之和，同「门店日营业报表」的分类折扣金额计算逻辑一致",
         *     example = ""
         * )
         */
        2: optional RotaStatsItemTO itemDiscountAmount;

        /**
         * @FieldDoc(
         *     description = "菜品奉送金额：即菜品销售明细（实收）之和，同「门店日营业报表」一致",
         *     example = ""
         * )
         */
        3: optional RotaStatsItemTO itemGiveFreeAmount;

        /**
         * @FieldDoc(
         *     description = "菜品退菜金额：菜品退菜数量，及菜品退菜金额。",
         *     example = ""
         * )
         */
        4: optional RotaStatsItemTO itemRefundAmount;

        /**
         * @FieldDoc(
         *     description = "菜品销售流水：菜品销售实收+菜品折扣金额+菜品奉送金额",
         *     example = ""
         * )
         */
        5: optional i64 itemSalesFlow;

        /**
         * @FieldDoc(
         *     description = "结账后退菜(目前主要来源于逆向单的退菜)：菜品退菜数量，及菜品退菜金额",
         *     example = ""
         * )
         */
        6: optional RotaStatsItemTO afterCheckoutItemRefundAmount;

         /**
         * @FieldDoc(
         *     description = "结账后退菜(目前主要来源于逆向单的退菜)：菜品退菜数量，及菜品退菜收入",
         *     example = ""
         * )
         */
        7: optional RotaStatsItemTO afterCheckoutItemRefundIncome;

        /**
        * @FieldDoc(
        *     description = "结账后退非菜：结账后退单=结账后退菜+结账后退非菜",
        *     example = ""
        * )
        */
        8: optional RotaStatsItemTO afterCheckoutRefundNotDish;


}
/**
 * @TypeDoc(
 *     description = "交班金额概览 不计收入的实收金额不作为收款统计比如抵用券金额100, 只有70部分作为收入,收款刚统计只统计70"
 * )
 */
struct AmountStatsTO {
        /**
         * @FieldDoc(
         *     description = "总收款金额 单位:分",
         *     example = ""
         * )
         */
        1: optional i64 income;
        /**
         * @FieldDoc(
         *     description = "现金收款金额  单位:分",
         *     example = ""
         * )
         */
        2: optional i64 cashIncome;
        /**
         * @FieldDoc(
         *     description = "总实收金额 receivable = income + expense 单位:分",
         *     example = ""
         * )
         */
        3: optional i64 receivable;

        /**
         * @FieldDoc(
         *     description = "商家承担部分金额 单位:分",
         *     example = ""
         * )
         */
        4: optional i64 expense;
        /**
        * @FieldDoc(
        *     description = "备用金",
        *     example = ""
        * )
        */
        5: optional i64 preImprestCash
        /**
        * @FieldDoc(
        *     description = "上交现金",
        *     example = ""
        * )
        */
        6: optional i64 handInCash
        /**
        * @FieldDoc(
        *     description = "服务费",
        *     example = ""
        * )
        */
        7: optional i64 serviceCash;
        /**
        * @FieldDoc(
        *     description = "应收+ 备用金 = 总计",
        *     example = ""
        * )
        */
        8: optional i64 total;

        /**
        * @FieldDoc(
        *     description = "实际收入 + 备用金",
        *     example = ""
        * )
        */
        9: optional i64 incomeTotal;

        /**
        * @FieldDoc(
        *     description = "跨营业日退实收金额",
        *     example = ""
        * )
        */
        10: optional i64 acrossRefundIncomeTotal;

        /**
        * @FieldDoc(
        *     description = "正向单订单数",
        *     example = ""
        * )
        */
        11: optional i32 checkoutOrderCount;

                /**
        * @FieldDoc(
        *     description = "营业净额（营业收入-跨日退）",
        *     example = ""
        * )
        */
        12: optional i64 netAmount;

}

//-------------------收款统计相关----------------------

/**
 * @TypeDoc(
 *     description = "支付方式收款流水"
 * )
 */
struct IncomePaymentTO {

        /**
        * @FieldDoc(
        *     description = "支付类型",
        *     example = ""
        * )
        */
        1: optional i32 payType;
        /**
        * @FieldDoc(
        *     description = "支付类型名称",
        *     example = ""
        * )
        */
        2: optional string payTypeName;
        /**
        * @FieldDoc(
        *     description = "收入小计",
        *     example = ""
        * )
        */
        3: optional i64 income;
        /**
        * @FieldDoc(
        *     description = "实际用户付款金额",
        *     example = ""
        * )
        */
        4: optional i64 payed;
        /**
        * @FieldDoc(
        *     description = "会员收款",
        *     example = ""
        * )
        */
        5: optional i64 expense;
        /**
        * @FieldDoc(
        *     description = "支付时间",
        *     example = ""
        * )
        */
        6: optional i64 payTime;
        /**
        * @FieldDoc(
        *     description = "业务类型",
        *     example = ""
        * )
        */
        7: optional i32 businessType;
        /**
        * @FieldDoc(
        *     description = "业务类型名称",
        *     example = ""
        * )
        */
        8: optional string businessName;
        /**
        * @FieldDoc(
        *     description = "日期 2019-4-8",
        *     example = ""
        * )
        */
        9: optional string date;
        /**
        * @FieldDoc(
        *     description = "收支类型 1:收入 ",
        *     example = ""
        * )
        */
        10: optional i32 seqType;
}

/**
 * @TypeDoc(
 *     description = "各业务收款流水"
 * )
 */
struct RotaBizIncomeTO {
        /**
        * @FieldDoc(
        *     description = "业务code",
        *     example = ""
        * )
        */
        1: optional i32 bizCode;
        /**
        * @FieldDoc(
        *     description = "业务名称",
        *     example = "会员冲退"
        * )
        */
        2: optional string bizName;
        /**
        * @FieldDoc(
        *     description = "收支明细",
        *     example = {}
        * )
        */
        4: optional list<IncomePaymentTO> incomeFlows;

}

/**
 * @TypeDoc(
 *     description = "各业务收款流水 每日汇总"
 * )
 */
struct RotaBizIncomeDailyTO {
        /**
        * @FieldDoc(
        *     description = "统计日期",
        *     example = "2019-03-02"
        * )
        */
        1: optional string dateStr;
        /**
       * @FieldDoc(
       *     description = "统计日期 long类型 取当天0点",
       *     example = ""
       * )
       */
        2: optional i64 date;
        /**
        * @FieldDoc(
        *     description = "收款笔数",
        *     example = ""
        * )
        */
        3: optional i32 payCount;
        /**
       * @FieldDoc(
       *     description = "收款小计",
       *     example = ""
       * )
       */
        4: optional i64 incomeTotalAmount;
        /**
        * @FieldDoc(
        *     description = "各业务收款流水",
        *     example = "8"
        * )
        */
        5: optional list<RotaBizIncomeTO> bizIncomes;
}

/**
 * @TypeDoc(
 *     description = "某一支付类型 各业务收款流水每日汇总"
 * )
 */
struct IncomeDetailTO {
        1: optional i32 payType;
        2: optional list<RotaBizIncomeDailyTO> rotaBizIncomeDailyList;
}

struct IncomeDetailCtxTO {
        1: optional map<i32, IncomeDetailTO> incomeDetailMap;
}

/**
 * @TypeDoc(
 *     description = "支付方式收款统计"
 * )
 */
struct IncomeItemTO {

        /**
        * @FieldDoc(
        *     description = "支付类型",
        *     example = ""
        * )
        */
        1: optional i32 payType;
        /**
        * @FieldDoc(
        *     description = "支付类型编码 1级或2级",
        *     example = ""
        * )
        */
        2: optional string payTypeNo;
        /**
        * @FieldDoc(
        *     description = "支付类型名称",
        *     example = ""
        * )
        */
        3: optional string payTypeName;
        /**
        * @FieldDoc(
        *     description = "支付类型父级编码 支付类型是2级编码时 parentPayTypeNo表示1级编码支付类型是1级编码是 parentPayTypeNo为0",
        *     example = ""
        * )
        */
        4: optional string parentPayTypeNo;
        /**
        * @FieldDoc(
        *     description = "收款笔数",
        *     example = ""
        * )
        */
        5: optional i32 payCount;
        /**
        * @FieldDoc(
        *     description = "收款小计",
        *     example = ""
        * )
        */
        6: optional i64 incomeTotalAmount;
        /**
        * @FieldDoc(
        *     description = "堂食/外带收款",
        *     example = ""
        * )
        */
        7: optional i64 orderIncomeAmount;
        /**
        * @FieldDoc(
        *     description = "会员收款",
        *     example = ""
        * )
        */
        8: optional i64 vipIncomeAmount;
        /**
        * @FieldDoc(
        *     description = "挂账还款",
        *     example = ""
        * )
        */
        9: optional i64 debtorIncomeAmount;
        /**
        * @FieldDoc(
        *     description = "订金收款",
        *     example = ""
        * )
        */
        10: optional i64 depositIncomeAmount;

        /**
        * @FieldDoc(
        *     description = "堂食/外带收款(外币)",
        *     example = ""
        * )
        */
        11: optional i64 orderIncomeForeignCurrencyPayedAmount;

        /**
        * @FieldDoc(
        *     description = "收款(外币)",
        *     example = ""
        * )
        */
        12: optional i64 incomeTotalForeignCurrencyPayedAmount;

        /**
        * @FieldDoc(
        *     description = "是否使用外币",
        *     example = ""
        * )
        */
        13: optional i32 foreignCurrencyFlag;

        /**
        * @FieldDoc(
        *     description = "礼品卡收款 5.5.1",
        *     example = ""
        * )
        */
        14: optional i64 giftCardIncomeAmount;

        /**
        * @FieldDoc(
        *     description = "rank 排序值",
        *     example = ""
        * )
        */
        15: optional i64 rank;

        /**
        * @FieldDoc(
        *     description = "逆向单流水笔数",
        *     example = ""
        * )
        */
        16: optional i32 refundPayCount;
}

/**
 * @TypeDoc(
 *     description = "交班收款统计"
 * )
 */
struct IncomeStatsTO {

        /**
        * @FieldDoc(
        *     description = "收款笔数",
        *     example = ""
        * )
        */
        1: optional i32 payCount;

        /**
        * @FieldDoc(
        *     description = "收款小计",
        *     example = ""
        * )
        */
        2: optional i64 incomeTotalAmount;

        /**
        * @FieldDoc(
        *     description = "堂食/外带收款",
        *     example = ""
        * )
        */
        3: optional i64 orderIncomeAmount;

        /**
        * @FieldDoc(
        *     description = "会员收款",
        *     example = ""
        * )
        */
        4: optional i64 vipIncomeAmount;

        /**
        * @FieldDoc(
        *     description = "挂账还款",
        *     example = ""
        * )
        */
        5: optional i64 debtorIncomeAmount;

        /**
        * @FieldDoc(
        *     description = "订金收款",
        *     example = ""
        * )
        */
        6: optional i64 depositIncomeAmount;

        /**
        * @FieldDoc(
        *     description = "支付方式收款统计记录",
        *     example = ""
        * )
        */
        7: optional list<IncomeItemTO> pay

        /**
        * @FieldDoc(
        *     description = "现金收款部分",
        *     example = ""
        * )
        */
        8: optional i64 cashIncomeAmount;

        /**
        * @FieldDoc(
        *     description = "用新结账方式",
        *     example = ""
        * )
        */
        9: optional i32 useNewPayMethod;

        /**
        * @FieldDoc(
        *     description = "礼品卡收款 5.5.1",
        *     example = ""
        * )
        */
        10: optional i64 giftCardIncomeAmount;

        /**
        * @FieldDoc(
        *     description = "是否有礼品卡信息",
        *     example = ""
        * )
        */
        11: optional i32 hasGiftCardInfoFlag;


        /**
        * @FieldDoc(
        *     description = "小计+备用金",
        *     example = ""
        * )
        */
        12: optional i64 total;

        /**
        * @FieldDoc(
        *     description = "抽大钞",
        *     example = ""
        * )
        */
        13: optional i64 tookBigAmount;

        /**
         * @FieldDoc(
         *     description = "逆向笔数",
         *     example = ""
         * )
         */
         14: optional i32 refundPayCount;

        /**
        * @FieldDoc(
        *     description = "逆向收款小计",
        *     example = ""
        * )
        */
        15: optional i64 refundIncomeTotalAmount;

}

struct BizIncomeStatsCtxTO {
        1: optional map<i32, IncomeStatsTO> bizIncomeStatsMap;
}

//-------------------团购统计相关----------------------
/**
 * @TypeDoc(
 *     description = "挂账统计"
 * )
 */
struct CouponItemTO {
        /**
   * @FieldDoc(
   *     description = "券名称",
   *     example = "美团10元代金券"
   * )
   */
        1:optional string couponName;
        /**
         * @FieldDoc(
         *     description = "券数量",
         *     example = "5"
         * )
         */
        2:optional i32 couponCount;
        /**
         * @FieldDoc(
         *     description = "总金额",
         *     example = "40000"
         * )
         */
        3:optional i64 totalAmount;
        /**
         * @FieldDoc(
         *     description = "unit",
         *     example = "份"
         * )
         */
        4:optional string unit;

         /**
         * @FieldDoc(
         *     description = "券数量",
         *     example = "5"
         * )
         */
        5:optional i32 refundCouponCount;
}

/**
 * @TypeDoc(
 *     description = "券统计"
 * )
 */
struct CouponStatsTO {
        /**
         * @FieldDoc(
         *     description = "团购券交班信息",
         *     example = ""
         * )
         */
        1:list<CouponItemTO> rotaCoupons;

        /**
         * @FieldDoc(
         *     description = "抵用券交班信息",
         *     example = ""
         * )
         */
        2:list<CouponItemTO> rotaVoucher;

        /**
        * @FieldDoc(
        *     description = "口碑团购券",
        *     example = ""
        * )
        */
        3:list<CouponItemTO> kbCoupons;

        /**
        * @FieldDoc(
        *     description = "抖音团购券",
        *     example = ""
        * )
        */
        4:list<CouponItemTO> dyCoupons;

        /**
        * @FieldDoc(
        *     description = "快手团购券",
        *     example = ""
        * )
        */
        5:list<CouponItemTO> ksCoupons;

        /**
        * @FieldDoc(
        *     description = "支付宝团购券",
        *     example = ""
        * )
        */
        6:list<CouponItemTO> zfbCoupons;

}

//-------------------订单统计相关----------------------

/**
 * @TypeDoc(
 *     description = "订单统计"
 * )
 */
struct OrderStatsTO {
        /**
        * @FieldDoc(
        *     description = "已结账订单项目列表",
        *     example = ""
        * )
        */
        1: optional list<RotaStatsItemTO> items;

}

//-------------------挂账统计相关----------------------

/**
 * @TypeDoc(
 *     description = "挂账统计"
 * )
 */
struct DebtorStatsTO {
        /**
        * @FieldDoc(
        *     description = "挂账笔数",
        *     example = ""
        * )
        */
        1: optional i32 debtorCount;
        /**
        * @FieldDoc(
        *     description = "挂账金额",
        *     example = ""
        * )
        */
        2: optional i64 debtorTotalAmount;

}

//-------------------订金统计子项相关----------------------
/**
 * @TypeDoc(
 *     description = "订金统计子项相关"
 * )
 */
struct DepositItemTO {

       /**
        * @FieldDoc(
        *     description = "订金类型名称",
        *     example = ""
        * )
        */
        1: optional string itemName;

        /**
        * @FieldDoc(
        *     description = "订金笔数",
        *     example = ""
        * )
        */
        2: optional i32 itemCount;

        /**
        * @FieldDoc(
        *     description = "订金金额，单位分",
        *     example = ""
        * )
        */
        3: optional i64 itemAmount;

}

//-------------------订金统计相关----------------------
/**
 * @TypeDoc(
 *     description = "订金统计相关"
 * )
 */
struct DepositStatsTO {

    /**
      * @FieldDoc(
      *     description = "所有订金统计统计项的总单数",
      *     example = ""
      * )
      */
     1: optional i32 totalCount;

    /**
       * @FieldDoc(
       *     description = "所有订金统计项的总金额",
       *     example = ""
       * )
       */
       2: optional i64 totalAmount;

       /**
       * @FieldDoc(
       *     description = "订金统计项列表",
       *     example = ""
       * )
       */
       3: optional list<DepositItemTO> items ;
}


//-------------------敏感操作统计相关----------------------
struct SensitiveOperDishTO {
        /**
         * @FieldDoc(
         *     description = "菜品名称",
         *     example = ""
         * )
         */
        1: optional string dishName;
        /**
         * @FieldDoc(
         *     description = "菜品skuId",
         *     example = ""
         * )
         */
        2: optional i64 dishSkuId;
        /**
         * @FieldDoc(
         *     description = "菜品一级分类ID,
         *     example = ""
         * )
         */
        3: optional i64 parentCategoryId;
        /**
         * @FieldDoc(
         *     description = "菜品二级分类ID",
         *     example = ""
         * )
         */
        4: optional i64 categoryId;
        /**
         * @FieldDoc(
         *     description = "菜品规格名称",
         *     example = ""
         * )
         */
        5: optional string specs;
         /**
         * @FieldDoc(
         *     description = "菜品做法名称，多个以"、"分割",
         *     example = ""
         * )
         */
        6:optional string methodNames;

         /**
         * @FieldDoc(
         *     description = "菜品加料名称，多个以"、"分割",
         *     example = ""
         * )
         */
        7:optional string feedingNames;

         /**
         * @FieldDoc(
         *     description = "餐盒名称",
         *     example = ""
         * )
         */
        8:optional string boxName;

         /**
         * @FieldDoc(
         *     description = "菜品单位名称",
         *     example = ""
         * )
         */
        9:optional string unitName;

         /**
         * @FieldDoc(
         *     description = "是否套餐",
         *     example = ""
         * )
         */
        10:optional bool isCombo;
        /**
         * @FieldDoc(
         *     description = "菜品总金额（包含菜品原价、做法、加料、餐盒费）",
         *     example = ""
         * )
         */
        11:optional i64 totalPrice;
        /**
         * @FieldDoc(
         *     description = "菜品总数",
         *     example = ""
         * )
         */
        12:optional i32 totalCount;
        /**
         * @FieldDoc(
         *     description = "菜品名称(统计纬度)",
         *     example = ""
         * )
         */
        13: optional string statsDishName;

        /**
         * @FieldDoc(
         *     description = "菜品名称(统计纬度)",
         *     example = ""
         * )
         */
        14: optional string statsDishNameWithId;

        /**
         * @FieldDoc(
         *     description = "排序",
         *     example = ""
         * )
         */
        15:optional i64 sort;
         /**
         * @FieldDoc(
         *     description = "退菜明细sortList",
         *     example = "10000"
         * )
         */
        16:optional list<string> orderIdList;
         /**
         * @FieldDoc(
         *     description = "原因",
         *     example = ""
         * )
         */
        17:optional string reason;
         /**
        * @FieldDoc(
        *     description = "是否是承重菜",
        *     example = ""
        * )
        */
        18:optional bool isWeight;
        /**
        * @FieldDoc(
        *     description = "称重菜（斤）",
        *     example = ""
        * )
        */
        19:optional double weight;
}


struct SensitiveOperDishExportTO {
        /**
         * @FieldDoc(
         *     description = "订单号",
         *     example = ""
         * )
         */
        1: optional string orderNo;
         /**
         * @FieldDoc(
         *     description = "菜品skuId",
         *     example = ""
         * )
         */
        2: optional i64 dishSkuId;
         /**
         * @FieldDoc(
         *     description = "操作类型名字,
         *     example = ""
         * )
         */
        3: optional string actionName;
         /**
         * @FieldDoc(
         *     description = "菜品名称(统计纬度)",
         *     example = ""
         * )
         */
        4: optional string statsDishName;
        /**
         * @FieldDoc(
         *     description = "菜品一级分类名字,
         *     example = ""
         * )
         */
        5: optional string parentCategoryName;
        /**
         * @FieldDoc(
         *     description = "菜品二级分类名字",
         *     example = ""
         * )
         */
        6: optional string categoryName;
        /**
        * @FieldDoc(
        *     description = "菜品总数",
        *     example = ""
        * )
        */
        7:optional i32 totalCount;
        /**
         * @FieldDoc(
         *     description = "菜品总金额（包含菜品原价、做法、加料、餐盒费）",
         *     example = ""
         * )
         */
        8:optional i64 totalPrice;
        /**
         * @FieldDoc(
         *     description = "原因",
         *     example = ""
         * )
         */
        9:optional string reason;
         /**
        * @FieldDoc(
        *     description = "是否是承重菜",
        *     example = ""
        * )
        */
        10:optional bool isWeight;
        /**
        * @FieldDoc(
        *     description = "称重菜（斤）",
        *     example = ""
        * )
        */
        11:optional double weight;

}

struct SensitiveOperTO {
        /**
 * @FieldDoc(
 *     description = "敏感操作名称",
 *     example = "本班次反订单"
 * )
 */
        1: optional string name;
        /**
         * @FieldDoc(
         *     description = "订单数",
         *     example = "2"
         * )
         */
        2: optional i32 orderCount;
        /**
         * @FieldDoc(
         *     description = "涉及订单内部操作内容的数量，如反结的次数，菜品的数量",
         *     example = "1"
         * )
         */
        3: optional double unitCount;
        /**
         * @FieldDoc(
         *     description = "数量的单位",
         *     example = "如：次、菜品：菜"
         * )
         */
        4: optional string unit;
        /**
         * @FieldDoc(
         *     description = "操作金额",
         *     example = "10000"
         * )
         */
        5: optional i64 totalAmount;
         /**
         * @FieldDoc(
         *     description = "退菜明细sortList",
         *     example = "10000"
         * )
         */
        6:optional list<SensitiveOperDishTO> dishDetailList;
         /**
          * @FieldDoc(
          *     description = "退菜明细stat map",
          *     example = "10000"
          * )
          */
        7:optional map<string,SensitiveOperDishTO>  dishDetailMap;
        /**
         * @FieldDoc(
         *     description = "新版本数据",
         *     example = ""
         * )
         */
        8: optional bool isNewVersionData;
         /**
         * @FieldDoc(
         *     description = "退菜明细（导出）sortList",
         *     example = ""
         * )
         */
        9:optional list<SensitiveOperDishExportTO> dishExportTOList;

         /**
         * @FieldDoc(
         *     description = "操作类型",
         *     example = ""
         * )
         */
        10: optional i32 actionType;
         /**
         * @FieldDoc(
         *     description = "升级后的展示逻辑",
         *     example = ""
         * )
         */
        11: optional bool showTips;

         /**
         * @FieldDoc(
         *     description = "空或null默认无值, HIDDEN不展示, SHOW展示",
         *     example = ""
         * )
         */
        12: optional string showUnit;
}

struct RefundBill {
        /**
         * @FieldDoc(
         *     description = 结账后退单金额",
         *     example = ""
         * )
         */
        1:optional i64 refundBillMoney;

        /**
         * @FieldDoc(
         *     description = "结账后退单数（多次部分退算1）",
         *     example = ""
         * )
         */
        2:optional i32 refundBillCount;



}

// 本班次内的敏感操作详情
struct SensitiveOperStatsTO {
        /**
         * @FieldDoc(
         *     description = "敏感操作列表",
         *     example = ""
         * )
         */
        1:optional list<SensitiveOperTO> operations;

        /**
         * @FieldDoc(
         *     description = "结账后退单统计）",
         *     example = ""
         * )
         */
        2:optional RotaStatsItemTO refundBill;



}


// 本班次内的跨班次退单
struct RefundOrderTO {
        /**
         * @FieldDoc(
         *     description = "原订单id",
         *     example = ""
         * )
         */
        1:optional string originalOrderId;

        /**
         * @FieldDoc(
         *     description = "原订单no",
         *     example = ""
         * )
         */
        2:optional string originalOrderNo;


        /**
         * @FieldDoc(
         *     description = "收入（逆向单收入）",
         *     example = ""
         * )
         */
        3:optional i64 refundIncome;

        /**
         * @FieldDoc(
         *     description = "结账时间",
         *     example = ""
         * )
         */
        4:optional i64 checkoutTime;

}

struct SensitiveStatsTO {
    1: optional i32 totalCount;
}

//-------------------未完结订单统计子项----------------------
/**
 * @TypeDoc(
 *     description = "未完结订单统计子项"
 * )
 */
struct UnfinishedOrderItemTO {

        /**
        * @FieldDoc(
        *     description = "未完结订单统计项目名称",
        *     example = ""
        * )
        */
        1: optional string itemName;

        /**
        * @FieldDoc(
        *     description = "未完结订单数",
        *     example = ""
        * )
        */
        2: optional i32 itemCount;

        /**
        * @FieldDoc(
        *     description = "未完结订单金额，单位分",
        *     example = ""
        * )
        */
        3: optional i64 itemAmount;
}

//-------------------未完结订单统计相关----------------------
/**
 * @TypeDoc(
 *     description = "未完结订单统计相关"
 * )
 */
struct UnfinishedOrderStatsTO {

         /**
          * @FieldDoc(
          *     description = "所有未完结订单统计总单数",
          *     example = ""
          * )
          */
         1: optional i32 totalCount;

        /**
           * @FieldDoc(
           *     description = "所有未完结订单统计总金额",
           *     example = ""
           * )
           */
           2: optional i64 totalAmount;

           /**
           * @FieldDoc(
           *     description = "未完结订单统计项列表",
           *     example = ""
           * )
           */
           3: optional list<UnfinishedOrderItemTO> items ;

}



//-------------------反结账统计相关----------------------

struct StrikeStatsTO {
        /**
         * @FieldDoc(
         *     description = "反结账次数",
         *     example = ""
         * )
         */
        1: optional i32 strikeCount;

        /**
         * @FieldDoc(
         *     description = "反结账订单数",
         *     example = ""
         * )
         */
        2: optional i32 orderCount;

        /**
         * @FieldDoc(
         *     description = "反结账总差额，单位分",
         *     example = "-10000"
         * )
         */
        3: optional i64 strikeSubAmount;
         /**
         * @FieldDoc(
         *     description = "支付记录",
         *     example = ""
         * )
         */
        4: optional list<IncomeItemTO> strikeSubAmountByPay

}

struct StrikeDetailTO {
         /**
          * @FieldDoc(
          *     description = "订单号",
          *     example = "20181011"
          * )
          */
         1: required string orderNo;
         /**
          * @FieldDoc(
          *     description = "操作人",
          *     example = "张三"
          * )
          */
         2: optional string operatorName;
         /**
          * @FieldDoc(
          *     description = "结账时间",
          *     example = ""
          * )
          */
         3: required i64 checkoutTime;
         /**
          * @FieldDoc(
          *     description = "实收金额",
          *     example = ""
          * )
          */
         4: required i64 receivable;
         /**
          * @FieldDoc(
          *     description = "班次id",
          *     example = ""
          * )
          */
         5: optional string rotaId;
         /**
          * @FieldDoc(
          *     description = "班次号",
          *     example = ""
          * )
          */
         6: optional i32 rotaNo;
         /**
          * @FieldDoc(
          *     description = "反结操作人",
          *     example = ""
          * )
          */
         7: optional string strikeOperatorName;
         /**
          * @FieldDoc(
          *     description = "反结账时间",
          *     example = ""
          * )
          */
         8: optional i64 strikeCheckoutTime;
         /**
          * @FieldDoc(
          *     description = "反结账实收",
          *     example = ""
          * )
          */
         9: optional i64 strikeReceivable;
         /**
          * @FieldDoc(
          *     description = "反结账差额",
          *     example = ""
          * )
          */
         10: optional i64 strikeSubAmount;
         /**
          * @FieldDoc(
          *     description = "备注",
          *     example = ""
          * )
          */
         11: optional string remark;
         /**
          * @FieldDoc(
          *     description = "交班时备注，修改备注时使用",
          *     example = ""
          * )
          */
         12: optional string rotaRemark;
         /**
          * @FieldDoc(
          *     description = "订单id，更新备注时使用",
          *     example = ""
          * )
          */
         13: optional string orderId;
         /**
          * @FieldDoc(
          *     description = "订单版本，更新备注时使用",
          *     example = ""
          * )
          */
         14: optional i32 orderVersion;
         /**
          * @FieldDoc(
          *     description = "是否是退单明细",
          *     example = ""
          * )
          */
         15: optional bool chargeBackFlag;
}

// v5.0.13 反结账明细
struct RotaStrikeDetailResp {
        /**
        * @FieldDoc(
        *     description = "交班反结详情列表",
        *     example = ""
        * )
        */
        1: optional list<StrikeDetailTO> strikeDetailList;
}

// v5.0.13 更新反结账明细
struct RotaStrikeDetailV2Req {
        /**
        * @FieldDoc(
        *     description = "订单id，反结账详情接口提供",
        *     example = ""
        * )
        */
        1: required string orderId;
        /**
        * @FieldDoc(
        *     description = "反结账前的订单版本，反结账详情接口提供",
        *     example = ""
        * )
        */
        2: required i32 orderVersion;
        /**
        * @FieldDoc(
        *     description = "新备注，删除备注清除空字符串",
        *     example = ""
        * )
        */
        3: optional string rotaRemark;
}


//会员统计-会员消费
/**
 * @TypeDoc(
 *     description = "会员统计-会员消费"
 * )
 */
struct DealInfoTO {

    /**
    * @FieldDoc(
    *     description = "会员消费笔数",
    *     example = {}
    * )
    */
    1: optional i32 dealNum;

    /**
    * @FieldDoc(
    *     description = "储值余额消费",
    *     example = {}
    * )
    */
    2: optional i64 depositOperateMoney;

    /**
    * @FieldDoc(
    *     description = "赠送余额消费",
    *     example = {}
    * )
    */
    3: optional i64 grantOperateMoney;

    /**
    * @FieldDoc(
    *     description = "积分抵现变动",
    *     example = {}
    * )
    */
    4: optional double usePointsNum;

    /**
    * @FieldDoc(
    *     description = "积分抵扣金额",
    *     example = {}
    * )
    */
    5: optional i64 pointsActMoney;

    /**
    * @FieldDoc(
    *     description = "积分赠送变动",
    *     example = {}
    * )
    */
    6: optional double giftPointsNum;

}

//会员统计-会员充值
/**
 * @TypeDoc(
 *     description = "会员统计-会员充值"
 * )
 */
struct RechargeInfoTO {
	/**
    * @FieldDoc(
    *     description = "充值笔数",
    *     example = {}
    * )
    */
    1: optional i32 rechargeNum;

	/**
    * @FieldDoc(
    *     description = "充值收款",
    *     example = {}
    * )
    */
    2: optional i64 rechargeMoney ;

	/**
    * @FieldDoc(
    *     description = "储值余额变动",
    *     example = {}
    * )
    */
    3: optional i64 depositOperateMoney;

	/**
    * @FieldDoc(
    *     description = "赠送余额变动",
    *     example = {}
    * )
    */
    4: optional i64 grantOperateMoney;

	/**
    * @FieldDoc(
    *     description = "积分赠送变动",
    *     example = {}
    * )
    */
    5: optional double giftPointsNum;
}

//会员统计-撤销充值
/**
 * @TypeDoc(
 *     description = "会员统计-撤销充值"
 * )
 */
struct CancelRechargeInfoTO {

	/**
    * @FieldDoc(
    *     description = "撤销充值笔数",
    *     example = {}
    * )
    */
    1: optional i32 cancelRechargeNum;

	/**
    * @FieldDoc(
    *     description = "撤销充值金额",
    *     example = {}
    * )
    */
    2: optional i64 cancelRechargeMoney ;

	/**
    * @FieldDoc(
    *     description = "储值余额变动",
    *     example = {}
    * )
    */
    3: optional i64 depositOperateMoney;

	/**
    * @FieldDoc(
    *     description = "赠送余额变动",
    *     example = {}
    * )
    */
    4: optional i64 grantOperateMoney;

	/**
    * @FieldDoc(
    *     description = "积分赠送变动",
    *     example = {}
    * )
    */
    5: optional double giftPointsNum;
}

//会员统计-退卡
/**
 * @TypeDoc(
 *     description = "会员统计-退卡"
 * )
 */
struct ReturnCardInfoTO {

	/**
    * @FieldDoc(
    *     description = "退卡笔数",
    *     example = {}
    * )
    */
    1: optional i32 returnCardNum;

	/**
    * @FieldDoc(
    *     description = "退卡退款",
    *     example = {}
    * )
    */
    2: optional i64 returnCardMoney ;

	/**
    * @FieldDoc(
    *     description = "储值余额变动",
    *     example = {}
    * )
    */
    3: optional i64 depositOperateMoney;

	/**
    * @FieldDoc(
    *     description = "赠送余额变动",
    *     example = {}
    * )
    */
    4: optional i64 grantOperateMoney;

	/**
    * @FieldDoc(
    *     description = "积分变动",
    *     example = {}
    * )
    */
    5: optional double giftPointsNum;
}

//会员统计-会员卡押金
/**
 * @TypeDoc(
 *     description = "会员统计-会员卡押金"
 * )
 */
struct DepositInfoTO {
	/**
    * @FieldDoc(
    *     description = "开卡-张数",
    *     example = {}
    * )
    */
    1: optional i32 openCardNum;

	/**
    * @FieldDoc(
    *     description = "开卡-金额",
    *     example = {}
    * )
    */
    2: optional i64 openCardMoney ;

	/**
    * @FieldDoc(
    *     description = "补/换卡-张数",
    *     example = {}
    * )
    */
    3: optional i32 fillCardNum;

	/**
    * @FieldDoc(
    *     description = "补/换卡-金额",
    *     example = {}
    * )
    */
    4: optional i64 fillCardMoney;

	/**
    * @FieldDoc(
    *     description = "退卡-张数",
    *     example = {}
    * )
    */
    5: optional i32 returnCardNum;

	/**
    * @FieldDoc(
    *     description = "退卡-金额",
    *     example = {}
    * )
    */
    6: optional i64 returnCardMoney;

}

//会员统计-子模块内容
/**
 * @TypeDoc(
 *     description = "会员统计-子模块内容"
 * )
 */
struct ContextInfoTO {
	/**
    * @FieldDoc(
    *     description = "子模块左侧内容",
    *     example = {}
    * )
    */
    1: optional string leftText;

    /**
        * @FieldDoc(
        *     description = "子模块中间内容",
        *     example = {}
        * )
        */
    2: optional string centerText;

	/**
        * @FieldDoc(
        *     description = "子模块右侧内容",
        *     example = {}
        * )
        */
    3: optional string rightText;
}


//会员统计-子模块列表
/**
 * @TypeDoc(
 *     description = "会员统计-子模块列表，类似：会员权益售卖"
 * )
 */
struct ModuleInfoTO {
	/**
    * @FieldDoc(
    *     description = "子模块名称，如：会员权益售卖",
    *     example = {}
    * )
    */
    1: optional string moduleName;

	/**
    * @FieldDoc(
    *     description = "子模块的具体内容信息",
    *     example = {}
    * )
    */
    2: optional list<ContextInfoTO> contextInfos;

    /**
    * @FieldDoc(
    *     description = "10: 权益包售卖,20:权益包退款",
    *     example = {}
    * )
    */
    3: required i32 moduleType;
}

//会员统计-子模块列表
/**
 * @TypeDoc(
 *     description = "积分兑换"
 * )
 */
struct PointExchangeInfoTO {
     /**
     * @FieldDoc(
     *     description = "笔数",
     *     example = ""
     * )
     */
    1: optional i32 exchangeNum;
     /**
     * @FieldDoc(
     *     description = "兑换积分",
     *     example = ""
     * )
     */
    2: optional double giftPointsNum;
}

/**
 * @TypeDoc(
 *     description = "会员统计-子模块列表，类似：礼品卡详情"
 * )
 */
struct GiftCardInfoDetailTO {
	/**
    * @FieldDoc(
    *     description = "10-礼品卡销售 11-销售明细 20-礼品卡退款 21-退款明细 30-礼品卡消费 31-消费明细",
    *     example = {}
    * )
    */
    1: optional i32 type;

	/**
    * @FieldDoc(
    *     description = "名字",
    *     example = {}
    * )
    */
    2: optional string name;

     /**
     * @FieldDoc(
     *     description = "数量",
     *     example = ""
     * )
     */
    3: optional i32 count;

     /**
     * @FieldDoc(
     *     description = "金额",
     *     example = ""
     * )
     */
    4: optional i64 amount;
}


/**
 * @TypeDoc(
 *     description = "会员统计-子模块列表，类似：礼品卡"
 * )
 */
struct GiftCardInfoTO {
	/**
    * @FieldDoc(
    *     description = "10-礼品卡销售 11-销售明细 20-礼品卡退款 21-退款明细 30-礼品卡消费 31-消费明细",
    *     example = {}
    * )
    */
    1: optional i32 type;

	/**
    * @FieldDoc(
    *     description = "名字",
    *     example = {}
    * )
    */
    2: optional string name;

     /**
     * @FieldDoc(
     *     description = "数量",
     *     example = ""
     * )
     */
    3: optional i32 count;

     /**
     * @FieldDoc(
     *     description = "金额",
     *     example = ""
     * )
     */
    4: optional i64 amount;

     /**
     * @FieldDoc(
     *     description = "详情明细",
     *     example = ""
     * )
     */
     5: optional list<GiftCardInfoDetailTO> subGiftCardInfos;
}


/**
 * @TypeDoc(
 *     description = "会员统计-子模块列表，类似：退款"
 */
struct RefundInfoTO {
	/**
    * @FieldDoc(
    *     description = "会员消费笔数（退）",
    *     example = {}
    * )
    */
    1: optional i32 refundNum;

	/**
    * @FieldDoc(
    *     description = "//储值余额消费（退） Long",
    *     example = {}
    * )
    */
    2: optional i64 refundDepositMoney;

     /**
     * @FieldDoc(
     *     description = "赠送余额消费（退） Long",
     *     example = ""
     * )
     */
    3: optional i64 refundGrantMoney;

     /**
     * @FieldDoc(
     *     description = "积分抵现变动（退） Long",
     *     example = ""
     * )
     */
    4: optional double refundPointsNum;

     /**
     * @FieldDoc(
     *     description = "积分抵扣金额（退） Long",
     *     example = ""
     * )
     */
     5: optional i64 refundPointsActMoney;
     /**
     * @FieldDoc(
     *     description = "积分赠送变动（退）Long",
     *     example = ""
     * )
     */

     6: optional double refundGiftPointsNum;
}

//会员统计
/**
 * @TypeDoc(
 *     description = "会员统计"
 * )
 */
struct MemberStatsTO {
       /**
        * @FieldDoc(
        *     description = "会员消费",
        *     example = {}
        * )
        */
        1: optional DealInfoTO dealInfo;

        /**
        * @FieldDoc(
        *     description = "会员充值",
        *     example = {}
        * )
        */
        2: optional RechargeInfoTO rechargeInfo;

        /**
        * @FieldDoc(
        *     description = "撤销充值",
        *     example = {}
        * )
        */
        3: optional CancelRechargeInfoTO cancelRechargeInfo;

        /**
        * @FieldDoc(
        *     description = "退卡",
        *     example = {}
        * )
        */
        4: optional ReturnCardInfoTO returnCardInfo;

        /**
        * @FieldDoc(
        *     description = "会员卡押金",
        *     example = {}
        * )
        */
        5: optional DepositInfoTO depositInfo;

        /**
        * @FieldDoc(
        *     description = "会员统计模块列表",
        *     example = {}
        * )
        */
        6: optional list<ModuleInfoTO> moduleInfos;

        /**
        * @FieldDoc(
        *     description = "积分兑换",
        *     example = {}
        * )
        */
        7: optional PointExchangeInfoTO pointExchangeInfo;

         /**
         * @FieldDoc(
         *     description = "礼品卡操作",
         *     example = {}
         * )
         */
         8: optional map<string,GiftCardInfoTO> giftCardInfos;
         /**
          * @FieldDoc(
          *     description = "退款操作",
          *     example = {}
          * )
          */
          9: optional RefundInfoTO refundInfo;
}

//优惠统计末级统计
/**
 * @TypeDoc(
 *     description = "优惠统计末级统计"
 * )
 */
struct InfoDiscountsTO {
       /**
        * @FieldDoc(
        *     description = "优惠二级分类type",
        *     example = {}
        * )
        */
        1: required i32 type;

        /**
        * @FieldDoc(
        *     description = "优惠名称",
        *     example = {}
        * )
        */
        2: optional string name;

        /**
        * @FieldDoc(
        *     description = "包含的订单ID",
        *     example = {}
        * )
        */
        3: optional list<string> orderIdList;

        /**
        * @FieldDoc(
        *     description = "优惠金额",
        *     example = {}
        * )
        */
        4: required i64 totalAmount;

        /**
        * @FieldDoc(
        *     description = "优惠次数",
        *     example = {}
        * )
        */
        5: required i32 useCount;

        /**
        * @FieldDoc(
        *     description = "备注",
        *     example = {}
        * )
        */
        6: optional string chineseName;

        /**
        * @FieldDoc(
        *     description = "优惠支付TYPE",
        *     example = {}
        * )
        */
        7: required i32 payDetailType;
        /**
        * @FieldDoc(
        *     description = "单位",
        *     example = {}
        * )
        */
        8: optional string unit;

        /**
        * @FieldDoc(
        *     description = "逆向优惠金额",
        *     example = {}
        * )
        */
        9: required i64 refundTotalAmount;
}


//优惠统计一级分类
/**
 * @TypeDoc(
 *     description = "优惠统计一级分类"
 * )
 */
struct ModeDiscountsTO {
       /**
        * @FieldDoc(
        *     description = "优惠一级大类分类mode",
        *     example = {}
        * )
        */
        1: required string mode;

        /**
        * @FieldDoc(
        *     description = "优惠名称",
        *     example = {}
        * )
        */
        2: optional string name;

        /**
        * @FieldDoc(
        *     description = "包含的订单ID",
        *     example = {}
        * )
        */
        3: optional list<string> orderIdList;

        /**
        * @FieldDoc(
        *     description = "优惠金额",
        *     example = {}
        * )
        */
        4: required i64 totalAmount;

        /**
        * @FieldDoc(
        *     description = "下一级优惠明细",
        *     example = {}
        * )
        */
        5: optional map<string, InfoDiscountsTO> infoDiscountsMap;

        /**
        * @FieldDoc(
        *     description = "备注",
        *     example = {}
        * )
        */
        6: optional string chineseName;

       /**
        * @FieldDoc(
        *     description = "逆向优惠金额",
        *     example = {}
        * )
        */
        7: required i64 refundTotalAmount;
       /**
        * @FieldDoc(
        *     description = "券使用数量",
        *     example = {}
        * )
        */
        8: required i64 totalUseCount;
}

//优惠统计
/**
 * @TypeDoc(
 *     description = "优惠统计"
 * )
 */
struct RotaDiscountsStatsTO {
        /**
        * @FieldDoc(
        *     description = "优惠统计有序列表",
        *     example = {}
        * )
        */
        1: optional list<ModeDiscountsTO> discountsList;

        /**
        * @FieldDoc(
        *     description = "优惠统计",
        *     example = {}
        * )
        */
        2: optional map<string, ModeDiscountsTO> discountsMap;


        /**
        * @FieldDoc(
        *     description = "总计",
        *     example = {}
        * )
        */
        3: optional i64 total;

        /**
        * @FieldDoc(
        *     description = "总计",
        *     example = {}
        * )
        */
        4: optional i64 refundTotal;

        /**
        * @FieldDoc(
        *     description = "使用优惠订单数量",
        *     example = {}
        * )
        */
        5: optional i64 totalOrderCount;

       /**
        * @FieldDoc(
        *     description = "券类使用数量",
        *     example = {}
        * )
        */
        6: optional i64 totalUseCount;
}

/**
 * @TypeDoc(
 *     description = "菜品销售明细"
 * )
 */
struct GoodsSalesDetailTO{
        /**
         * @FieldDoc(
         *     description = "分类明细，应收口径。",
         *     example = ""
         * )
         */
        1: optional list<RotaModel.RotaGoodsTo> items;

        /**
        * @FieldDoc(
        *     description = "分类明细-小计 总计金额",
        *     example = ""
        * )
        */
        2: optional i64 itemsTotal;

        /**
         * @FieldDoc(
         *     description = "分类明细，应收口径。",
         *     example = ""
         * )
         */
        3: optional list<RotaModel.RotaGoodsTo> subItems;

        /**
         * @FieldDoc(
         *     description = "分类明细，应收口径。",
         *     example = ""
         * )
         */
        4: optional i64 subItemsTotal;

        /**
         * @FieldDoc(
         *     description = "销售明细类型，参考RotaGoodsSaleDetailTypeEnum",
         *     example = ""
         * )
         */
        5: optional i32 saleDetailType;
          /**
          * @FieldDoc(
          *     description = "商标名",
          *     example = ""
          * )
          */
         6: optional string takeawayStoreName;

}
/**
 * @TypeDoc(
 *     description = "营业指标"
 * )
 */
struct BusinessIndicatorsTO{
        /**
         * @FieldDoc(
         *     description = "来客人数：按规则统计的用餐人数",
         *     example = ""
         * )
         */
        1: optional i64 numberGuests;

        /**
        * @FieldDoc(
        *     description = "人均消费：=菜品销售实收/来客人数",
        *     example = ""
        * )
        */
        2: optional i64 perCapitaConsumption;
        /**
        * @FieldDoc(
        *     description = "账单数量：数量同「门店日营业报表」一致",
        *     example = ""
        * )
        */
        3: optional i64 billNumber;

        /**
         * @FieldDoc(
         *     description = "账单均值=菜品销售实收/账单数量",
         *     example = ""
         * )
         */
        4: optional i64 billAvg;
        /**
         * @FieldDoc(
         *     description = "桌台数",
         *     example = ""
         * )
         */
        5: optional i64 tableNumber;

        /**
        * @FieldDoc(
        *     description = "翻台率",
        *     example = ""
        * )
        */
        6: optional string turnoverRate;
        /**
        * @FieldDoc(
        *     description = "座位数",
        *     example = ""
        * )
        */
        7: optional i64 seats;

        /**
         * @FieldDoc(
         *     description = "上座率",
         *     example = ""
         * )
         */
        8: optional string attendance;
 }

/**
 * @TypeDoc(
 *     description = "菜品分类"
 * )
 */
struct GoodsCategoryDataTO{
        /**
         * @FieldDoc(
         *     description = "分类明细，应收口径。",
         *     example = ""
         * )
         */
        1: optional list<RotaStatsItemTO> categoryStatisticsList;

        /**
        * @FieldDoc(
        *     description = "分类明细-小计",
        *     example = ""
        * )
        */
        2: optional RotaStatsItemTO categorySubtotal;

         /**
         * @FieldDoc(
         *     description = "渠道",
         *     example = ""
         * )
         */
         3: optional i32 categoryType;
}

struct RefundOrderDataTO {

        /**
        * @FieldDoc(
        *     description = "跨班次退单统计",
        *     example = ""
        * )
        */
        1: optional list<RefundOrderTO> refundOrdersAcrossRota;

        /**
        * @FieldDoc(
        *     description = "跨班次退单小记",
        *     example = ""
        * )
        */
        2: optional RotaStatsItemTO refundOrdersAcrossTotal;




}

/**
 * @TypeDoc(
 *     description = "配送费"
 * )
 */
struct DeliveryFeeTO {
        /**
        * @FieldDoc(
        *     description = "配送费实收",
        *     example = {}
        * )
        */
        1: optional RotaStatsItemTO incomeAmt;
        /**
        * @FieldDoc(
        *     description = "配送费实优惠",
        *     example = {}
        * )
        */
        2: optional RotaStatsItemTO discountAmt;
        /**
        * @FieldDoc(
        *     description = "配送费实优惠",
        *     example = {}
        * )
        */
        3: optional RotaStatsItemTO receivableAmt;
}


struct OnlineSalesItems{
        /**
        * @FieldDoc(
        *     description = "外卖门店名称",
        *     example = {}
        * )
        */
        1: optional string wmPoiName;

        /**
        * @FieldDoc(
        *     description = "门店总收入",
        *     example = {}
        * )
        */
        2: optional i64 income;

        /**
        * @FieldDoc(
        *     description = "商标",
        *     example = {}
        * )
        */
        3: optional string takeAwayName;

        /**
        * @FieldDoc(
        *     description = "门店总订单量",
        *     example = {}
        * )
        */
        4: optional i32 count;
}


struct WmIncomeStats{
        /**
        * @FieldDoc(
        *     description = "总收入",
        *     example = {}
        * )
        */
        1: optional i64 totalIncome;



        /**
        * @FieldDoc(
        *     description = "不同来源门店外卖订单收入列表",
        *     example = {}
        * )
        */
        2: optional list<OnlineSalesItems> onlineSalesIncomes;

        /**
        * @FieldDoc(
        *     description = "总订单量",
        *     example = {}
        * )
        */
        3: optional i64 totalCount;

        /**
        * @FieldDoc(
        *     description = "不同来源门店外卖订单量列表",
        *     example = {}
        * )
        */
        4: optional list<OnlineSalesItems> onlineSalesCounts;
}












struct RotaStatsInfoTO {


        /**
        * @FieldDoc(
        *     description = "班次id",
        *     example = {}
        * )
        */
        1: optional string rotaId;
        /**
         * @FieldDoc(
         *     description = "班次号",
         *     example = ""
         * )
         */
        2: optional i32 rotaNo;
        /**
        * @FieldDoc(
        *     description = "开班时间",
        *     example = ""
        * )
        */
        3: optional i64 rotaBeginTime;
        /**
        * @FieldDoc(
        *     description = "开班时间",
        *     example = ""
        * )
        */
        4: optional i64 rotaEndTime;
        /**
         * @FieldDoc(
         *     description = "统计开始时间",
         *     example = ""
         * )
         */
        5: optional i64 statsBeginTime;
        /**
         * @FieldDoc(
         *     description = "统计结束时间",
         *     example = ""
         * )
         */
        6: optional i64 statsEndTime;

        /**
         * @FieldDoc(
         *     description = "交班金额概览",
         *     example = ""
         * )
         */
        7: optional AmountStatsTO amountStats;

        /**
        * @FieldDoc(
        *     description = "交班收入统计",
        *     example = ""
        * )
        */
        8: optional IncomeStatsTO incomeStats;

        /**
        * @FieldDoc(
        *     description = "团购券统计",
        *     example = ""
        * )
        */
        9: optional CouponStatsTO couponStats;

        /**
        * @FieldDoc(
        *     description = "订单统计",
        *     example = ""
        * )
        */
        10: optional OrderStatsTO orderStats;

        /**
        * @FieldDoc(
        *     description = "挂账统计",
        *     example = ""
        * )
        */
        11: optional DebtorStatsTO debtorStats;

        /**
        * @FieldDoc(
        *     description = "挂账统计",
        *     example = ""
        * )
        */
        12: optional DepositStatsTO depositStats;

        /**
        * @FieldDoc(
        *     description = "敏感操作",
        *     example = ""
        * )
        */
        13: optional SensitiveOperStatsTO sensitiveOperStats;

        /**
        * @FieldDoc(
        *     description = "未完结订单统计",
        *     example = ""
        * )
        */
        14: optional UnfinishedOrderStatsTO unfinishedOrderStats;

        /**
        * @FieldDoc(
        *     description = "跨班次反结账的订单",
        *     example = ""
        * )
        */
        15: optional StrikeStatsTO skipStrikeStats;

        /**
        * @FieldDoc(
        *     description = "本班次被反结账, 查看历史交班记录时才有数据",
        *     example = ""
        * )
        */
        16: optional StrikeStatsTO skipStruckStats;

        /**
        * @FieldDoc(
        *     description = "班次状态 1：明交班 2：盲交班",
        *     example = ""
        * )
        */
        17: optional i32 rotaType; // 班次状态 1：明交班 2：盲交班

        /**
        * @FieldDoc(
        *     description = "会员统计",
        *     example = ""
        * )
        */
        18: optional MemberStatsTO memberStats;

        /**
        * @FieldDoc(
        *     description = "是否网络畅通",
        *     example = ""
        * )
        */
        19: optional bool network;
        /**
       * @FieldDoc(
       *     description = "是否超过7天未交班",
       *     example = ""
       * )
       */
        20: optional bool expired;
        /**
         * @FieldDoc(
         *     description = "跨营业日时间段",
         *     example = ""
         * )
         */
        21: optional list<RotaModel.TimeArg> statsTimes;
        /**
        * @FieldDoc(
        *     description = "餐段班次所有交班人",
        *     example = {}
        * )
        */
        22: optional string allPartnerNames;
        /**
        * @FieldDoc(
        *     description = "交班模式 1：单人 2：餐段",
        *     example = ""
        * )
        */
        23: optional i32 rotaCategory;
        /**
        * @FieldDoc(
        *     description = "班次名称",
        *     example = {}
        * )
        */
        24: optional string shiftName;

        /**
        * @FieldDoc(
        *     description = "优惠统计",
        *     example = ""
        * )
        */
        25: optional RotaDiscountsStatsTO rotaDiscountsStats;
        /**
        * @FieldDoc(
        *     description = "跨班次反结账的订单",
        *     example = ""
        * )
        */
        26: optional StrikeStatsTO skipChargebackStats;
        /**
        * @FieldDoc(
        *     description = "本班次被退单, 查看历史交班记录时才有数据",
        *     example = ""
        * )
        */
        27: optional StrikeStatsTO skipChargedBackStats;
        /**
         * @FieldDoc(
         *     description = "统计营业时间",
         *     example = ""
         * )
         */
        28: optional i64 statsBusinessTime;

        /**
         * @FieldDoc(
         *     description = "商户编号",
         *     example = ""
         * )
         */
        29: optional i64 merchantNo;
        /**
         * @FieldDoc(
         *     description = "门店名称",
         *     example = ""
         * )
         */
        30: optional string merchantName;

        /**
         * @FieldDoc(
         *     description = "组织结构代码",
         *     example = ""
         * )
         */
        31: optional string orgCode;
        /**
         * @FieldDoc(
         *     description = "交班次数",
         *     example = ""
         * )
         */
        32: optional i32 rotaNum;

        /**
         * @FieldDoc(
         *     description = "菜品销售数据",
         *     example = ""
         * )
         */
        33: optional GoodsSalesDataTO goodsSalesData;

        /**
         * @FieldDoc(
         *     description = "菜品分类",
         *     example = ""
         * )
         */
        34: optional GoodsCategoryDataTO goodsCategoryData;

        /**
         * @FieldDoc(
         *     description = "营业指标",
         *     example = ""
         * )
         */
        35: optional BusinessIndicatorsTO businessIndicators;


        /**
         * @FieldDoc(
         *     description = "菜品销售明细",
         *     example = ""
         * )
         */
        36: optional GoodsSalesDetailTO goodsData;

        /**
         * @FieldDoc(
         *     description = "菜品销售明细列表，5.29.10之后加入字段，对应有多条明细的版本(区别于原goodsData字段)",
         *     example = ""
         * )
         */
        37: optional list<GoodsSalesDetailTO> goodsSalesDetailList;

        /**
         * @FieldDoc(
         *     description = "逆向订单数据",
         *     example = ""
         * )
         */
        38: optional RefundOrderDataTO refundOrderData;

        /**
        * @FieldDoc(
        *     description = "配送费",
        *     example = ""
        * )
        */
        39: optional  DeliveryFeeTO deliveryFee;

        /**
        * @FieldDoc(
        *     description = "外卖订单收入数据",
        *     example = ""
        * )
        */
        40: optional  WmIncomeStats wmIncomeStats;

         /**
         * @FieldDoc(
         *     description = "交班逆向收入统计",
         *     example = ""
         * )
         */
         41: optional IncomeStatsTO refundIncomeStats;
         /**
         * @FieldDoc(
         *     description = "优惠统计",
         *     example = ""
         * )
         */
         42: optional RotaDiscountsStatsTO refundRotaDiscountsStats;
        /**
          * @FieldDoc(
          *     description = "菜品分类明细",
          *     example = ""
          * )
          */
         43: optional list<GoodsCategoryDataTO> goodsCategoryDataList;


}

//--------------------------订单认领------------------------------
/**
 * @TypeDoc(
 *     description = "参数"
 * )
 */
struct KvArg {
        /**
         * @FieldDoc(
         *     description = "结果名称",
         *     example = "AAA"
         * )
         */
        1:optional string name;
        /**
         * @FieldDoc(
         *     description = "结果id",
         *     example = "111"
         * )
         */
        2:required i32 id;
}

/**
 * @TypeDoc(
 *     description = "订单认领检索统计结果"
 * )
 */
struct OrderClaimStats {
        /**
         * @FieldDoc(
         *     description = "统计开始时间",
         *     example = "1583477839581"
         * )
         */
        1:optional i64 statsBeginTime;
        /**
         * @FieldDoc(
         *     description = "统计结束时间",
         *     example = "1583477839581"
         * )
         */
        2:optional i64 statsEndTime;
        /**
         * @FieldDoc(
         *     description = "检索订单数量",
         *     example = "10"
         * )
         */
        3:optional i32 totalCount;
        /**
         * @FieldDoc(
         *     description = "检索订单总金额（分）",
         *     example = "1000"
         * )
         */
        4:optional i64 totalAmount;
        /**
         * @FieldDoc(
         *     description = "来源列表",
         *     example = ""
         * )
         */
        5:optional list<KvArg> sources;
        /**
         * @FieldDoc(
         *     description = "区域列表",
         *     example = ""
         * )
         */
        6:optional list<KvArg> areas;
        /**
         * @FieldDoc(
         *     description = "操作人",
         *     example = ""
         * )
         */
        7:optional list<KvArg> operators;
         /**
         * @FieldDoc(
         *     description = "订单id列表",
         *     example = ""
         * )
         */
        8:optional list<string> orderIdList;
}

/**
 * @TypeDoc(
 *     description = "订单认领检索统计查询条件"
 * )
 */
struct OrderClaimReq {
        // 认领时间字段废弃：https://km.sankuai.com/page/392103380
        /**
         * @FieldDoc(
         *     description = "统计开始时间",
         *     example = "1583477839581"
         * )
         */
        1:optional i64 statsBeginTime;
        /**
         * @FieldDoc(
         *     description = "统计结束时间",
         *     example = "1583477839581"
         * )
         */
        2:optional i64 statsEndTime;
        /**
         * @FieldDoc(
         *     description = "来源列表",
         *     example = ""
         * )
         */
        3:optional list<i32> sources;
        /**
         * @FieldDoc(
         *     description = "区域列表",
         *     example = ""
         * )
         */
        4:optional list<i32> areas;
        /**
         * @FieldDoc(
         *     description = "操作人",
         *     example = ""
         * )
         */
        5:optional list<i32> operators;

        /**
         * @FieldDoc(
         *     description = "班次ID",
         *     example = ""
         * )
         */
         6:optional string rotaId;
}